﻿<%
	Option Explicit
	' weatheralert_setup.asp
	Dim sINI, nPriv, sMsg, sLev
	Dim maxAlerts, maxAlertM1
	sINI = "weathercom_xml.ini"
	nPriv =  hs.RunEx("AZ_weatherXML_web.vb","userPermissions",hs.WebLoggedInUser, true)
	maxAlerts = hs.GetINISetting("WeatherAlert","maxAlerts",10,sINI)
	maxAlertM1 = maxAlerts-1
	sMsg = ""
	function switchClass(sCur)
		if sCur ="tableroweven" Then 
			switchClass = "tablerowodd"
		Else
			switchClass = "tableroweven"
		End if
	End function
	if nPriv = 1 Then
		Function checkExistingDevices(devLetter,devNumber)
			dim bExists
			Dim x, y
			bExists = false
			For x = 0 to maxAlertM1
				y = devNumber + x
				if hs.DeviceExists(devLetter & y) <> "-1" Then
					bExists = true
					Exit for
				End if
			Next
			checkExistingDevices = bExists
		End Function
		Function deleteOldDevice(devLetter,devNumber)
			deleteOldDevice = hs.deleteDevice(hs.GetDeviceRef(devLetter & devNumber))
		End Function
		Sub createANewDevice(devLetter,devNumber,nNumber)
			Dim dv, nPriv, createNew
			if Len(Trim(devLetter)) > 0 Then
				if hs.DeviceExists(devLetter & devNumber) = "-1" Then		
					set dv = hs.NewDeviceEx("Weather Alert " & nNumber)
					dv.location="WeatherXML"
					dv.location2 = "Alerts"
					dv.hc = trim(devLetter)
					dv.dc = trim(devNumber)
					dv.misc=16
					dv.iotype=0
					hs.SaveEventsDevices
					hs.SetDeviceStatus devLetter & devNumber,3
				End if
			End if
		End Sub	
		if Request.Form("SaveWeatherSetup") <> "" Then 
			Dim bStat, chkStat
			Dim z, w
			Dim sDevCodeL, sDevCodeN
			Dim dv
			Dim fa
			hs.SaveINISetting "WeatherAlert","url",request.Form("url"),sINI
			hs.SaveINISetting "WeatherAlert","catList",Request.Form("useAlertCategory"),sINI
			hs.SaveINISetting "WeatherAlert","urgencyList",Request.Form("useAlertUrgency"),sINI
			hs.SaveINISetting "WeatherAlert","severityList",Request.Form("useAlertSeverity"),sINI
			hs.SaveINISetting "WeatherAlert","certaintyList",Request.Form("useAlertCertainty"),sINI
			hs.SaveINISetting "WeatherAlert","areaList",Request.Form("useAlertArea"),sINI
			hs.SaveINISetting "WeatherAlert","secondsaveloc",request.Form("secondsaveloc"),sINI
			sDevCodeL = hs.GetINISetting("WeatherAlert","devCodeLetter","",sINI)
			sDevCodeN = hs.GetINISetting("WeatherAlert","devCodeNumber","",sINI)
			if NOT (sDevCodeL = Request.Form("devLetter") AND sDevCodeN = Request.Form("devNumber")) Then
				' Make sure there are several in a row at the new code
				if checkExistingDevices(Request.Form("devLetter"),Request.Form("devNumber")) = false Then
					' Delete Old Devices
					bStat = True
					if NOT (sDevCodeL = "None" OR len(trim(sDevCodeL)) = 0) Then
						for z = 0 to maxAlertM1
							w = sDevCodeN + z
							if hs.DeviceExistsRef(sDevCodeL & w) > -1 Then
								Set dv = hs.GetDeviceByRef(hs.GetDeviceRef(sDevCodeL & w))
								if dv.location = "WeatherXML" Then
									chkStat = deleteOldDevice(sDevCodeL,w)
									if chkStat = false Then
										bStat = false
									End if
								End if
							End if
						Next
					End if
					if bStat = true Then
						' Save New Code		
						if Request.Form("devLetter") = "None" Then
							hs.SaveINISetting "WeatherAlert","devCodeLetter","",sINI
							hs.SaveINISetting "WeatherAlert","devCodeNumber","",sINI
						Else
							hs.SaveINISetting "WeatherAlert","devCodeLetter",Request.Form("devLetter"),sINI
							hs.SaveINISetting "WeatherAlert","devCodeNumber",Request.Form("devNumber"),sINI
							' Create New Device
							for z = 0 to maxAlertM1
								w = Request.Form("devNumber") + z
								createANewDevice Request.Form("devLetter"), w, z+1
							Next
						End if
					End if
				Else
					Set fa = hs.CreateStringClass
						fa.Add "You selected a device code that does not have "
						fa.Add maxAlerts
						fa.Add " in a row available.<br/>Please select a different code."
						sMsg = fa.Value
						fa.Reset
					Set fa = Nothing
				End if
			Else
				hs.SaveINISetting "WeatherAlert","devCodeLetter",Request.Form("devLetter"),sINI
				hs.SaveINISetting "WeatherAlert","devCodeNumber",Request.Form("devNumber"),sINI
				' Create Devices if they don't already exist
				for z = 0 to maxAlertM1
					w = Request.Form("devNumber") + z
					createANewDevice Request.Form("devLetter"), w, z+1
				Next					
			End if
		End if
	End if
	Function alertsetup()
		Dim aTypes, aSel, aLetter
		Dim x, y
		Dim fs
		Dim strClass, sTypeList, sTypeSel, sLetter
		strClass="tableroweven"
		Set fs = hs.CreateStringClass
			fs.Add "<table><form method=""post"" action=""""><tr><td class=""tableheader"" colspan=""2"">Weather Alerts</td></tr>"
			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">Setup</td></tr>"
			if len(trim(sMsg)) > 0 Then
				fs.Add "<tr><td colspan=""2"">"
				fs.Add sMsg
				fs.Add "</td></tr>"
			End if
		
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td colspan=""2"">Alert URL<br/>Go to <a target=""new"" href="""
			fs.Add hs.GetINISetting("WeatherAlert","Host","",sINI)
			fs.Add """>"
			fs.Add hs.GetINISetting("WeatherAlert","Host","",sINI)
			fs.Add "</a> to find the URL for your area.<br/>Unfortunately if your area isn't listed you can't use the Alerts"
			fs.Add "</td></tr>"

			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td valign=""top"">Alert URL</td>"
			fs.Add "<td nowrap>"
			fs.Add hs.GetINISetting("WeatherAlert","Host","",sINI)
			fs.Add "<input type=""text"" class=""formtext"" name=""url"" value="""
			fs.Add hs.GetINISetting("WeatherAlert","url","",sINI)
			fs.Add """></td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td valign=""top"">Save a second XML File to:</td>"
			fs.Add "<td nowrap>"
			fs.Add hs.GetAppPath
			fs.Add "\html\<input type=""text"" class=""formtext"" name=""secondsaveloc"" value="""
			fs.Add hs.GetINISetting("WeatherAlert","secondsaveloc","",sINI)
			fs.Add """>\weatheralert.xml</td></tr>"

			strClass = switchClass(strClass)
			sTypeSel = hs.GetINISetting("WeatherAlert","devCodeLetter","",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Starting Device Code<br/>Please allow "
			fs.Add maxAlerts
			fs.Add " devices</td><td>"
			fs.Add "<select name=""devLetter"">"
			sLetter = "None,A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z"
			aLetter = Split(sLetter,",")
			for x = 0 to UBound(aLetter)
				fs.Add "<option "
				if sTypeSel = aLetter(x) Then
					fs.Add "selected "
				End if
				fs.Add "value="""
				fs.Add aLetter(x)
				fs.Add """>"
				fs.Add aLetter(x)
				fs.Add "</option>"
			Next
			fs.Add "<select>"
			sTypeSel = hs.GetINISetting("WeatherAlert","devCodeNumber",0,sINI)
			fs.Add "<select name=""devNumber"">"
			for x = 1 to 99
				fs.Add "<option "
				if sTypeSel = CStr(x) Then
					fs.Add "selected "
				End if
				fs.Add "value="""
				fs.Add x
				fs.Add """>"
				fs.Add x
				fs.Add "</option>"
			Next
			fs.Add "<select>"
			fs.Add "</td></tr>"

			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">Select values that will be available to select in the Warning Alert Triggers</td></tr>"
			' Select the Alert Categories to be available as a trigger
			sTypeList = hs.GetINISetting ("WeatherAlert","availCatList","Alert",sINI)
			sTypeSel = hs.GetINISetting("WeatherAlert","catList","",sINI)
			aTypes = Split(sTypeList,",")
			aSel = Split(sTypeSel,",")
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td valign=""top"">Alert Categories</td>"
			fs.Add "<td><select multiple size=""5"" class=""formdropdown"" name=""useAlertCategory"">"
			for x = 0 To UBound(aTypes)
				fs.Add "<option "
				for y = 0 to UBound(aSel)
					if aSel(y) = aTypes(x) Then
						fs.Add ("selected ")
						Exit for
					End if
				Next
				fs.Add "value="""
				fs.Add aTypes(x)
				fs.Add """>"
				fs.Add hs.RunEx("AZ_weatheralerts.vb","categoryString",aTypes(x),true)
				fs.Add "</option>"
			Next
			fs.Add "</select></td></tr>"

			' Select the Alert Urgency to be available as a trigger
			sTypeList = hs.GetINISetting ("WeatherAlert","availUrgencyList","Alert",sINI)
			sTypeSel = hs.GetINISetting("WeatherAlert","urgencyList","",sINI)
			aTypes = Split(sTypeList,",")
			aSel = Split(sTypeSel,",")
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td valign=""top"">Alert Urgency</td>"
			fs.Add "<td><select multiple size=""5"" class=""formdropdown"" name=""useAlertUrgency"">"
			for x = 0 To UBound(aTypes)
				fs.Add "<option "
				for y = 0 to UBound(aSel)
					if aSel(y) = aTypes(x) Then
						fs.Add ("selected")
						Exit for
					End if
				Next
				fs.Add " value="""
				fs.Add aTypes(x)
				fs.Add """>"
				fs.Add hs.RunEx("AZ_weatheralerts.vb","urgencyString",aTypes(x),true)
				fs.Add "</option>"
			Next
			fs.Add "</select></td></tr>"

			' Select the Alert Severity to be available as a trigger
			sTypeList = hs.GetINISetting ("WeatherAlert","availSeverityList","Alert",sINI)
			sTypeSel = hs.GetINISetting("WeatherAlert","severityList","",sINI)
			aTypes = Split(sTypeList,",")
			aSel = Split(sTypeSel,",")
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td valign=""top"">Alert Severity</td>"
			fs.Add "<td><select multiple size=""5"" class=""formdropdown"" name=""useAlertSeverity"">"
			for x = 0 To UBound(aTypes)
				fs.Add "<option "
				for y = 0 to UBound(aSel)
					if aSel(y) = aTypes(x) Then
						fs.Add ("selected")
						Exit for
					End if
				Next
				fs.Add " value="""
				fs.Add aTypes(x)
				fs.Add """>"
				fs.Add hs.RunEx("AZ_weatheralerts.vb","severityString",aTypes(x),true)
				fs.Add "</option>"
			Next
			fs.Add "</select></td></tr>"

			' Select the Alert Certainty to be available as a trigger
			sTypeList = hs.GetINISetting ("WeatherAlert","availCertaintyList","Alert",sINI)
			sTypeSel = hs.GetINISetting("WeatherAlert","certaintyList","",sINI)
			aTypes = Split(sTypeList,",")
			aSel = Split(sTypeSel,",")
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td valign=""top"">Alert Certainty</td>"
			fs.Add "<td><select multiple size=""5"" class=""formdropdown"" name=""useAlertCertainty"">"
			for x = 0 To UBound(aTypes)
				fs.Add "<option "
				for y = 0 to UBound(aSel)
					if aSel(y) = aTypes(x) Then
						fs.Add ("selected")
						Exit for
					End if
				Next
				fs.Add " value="""
				fs.Add aTypes(x)
				fs.Add """>"
				fs.Add hs.RunEx("AZ_weatheralerts.vb","certaintyString",aTypes(x),true)
				fs.Add "</option>"
			Next
			fs.Add "</select></td></tr>"

			' Select the Alert Counties to be available as a trigger
			sTypeList = hs.GetINISetting ("WeatherAlert","availAreaList","Alert",sINI)
			sTypeSel = hs.GetINISetting("WeatherAlert","areaList","",sINI)
			aTypes = Split(sTypeList,",")
			aSel = Split(sTypeSel,",")
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td valign=""top"">Alert Area (By County)</td>"
			fs.Add "<td><select multiple size=""5"" class=""formdropdown"" name=""useAlertArea"">"
			for x = 0 To UBound(aTypes)
				fs.Add "<option "
				for y = 0 to UBound(aSel)
					if aSel(y) = aTypes(x) Then
						fs.Add ("selected")
						Exit for
					End if
				Next
				fs.Add " value="""
				fs.Add aTypes(x)
				fs.Add """>"
				fs.Add aTypes(x)
				fs.Add "</option>"
			Next
			fs.Add "</select></td></tr>"

			fs.Add "<tr><td colspan=""2"" align=""center""><input type=""Submit"" class=""formbutton"" name=""SaveWeatherSetup"" value=""Save""></td></tr>"
			fs.Add "<input type=""hidden"" name=""refpage"" value=""weatheralert""></form></table>"

			alertsetup = fs.Value
		Set fs = Nothing
	End Function

	Response.Write  hs.GetPageHeader("Weather Alert Setup","","",False,False,False,False,False) 
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","weatherPageLinks",hs.WEBLoggedInUser,True)
	sLev = hs.RunEx("AZ_weatherXML_web.vb","checkPageAccess","weatheralert_setup.asp",true)
	if sLev = "none" Then
		Response.Write hs.RunEx("AZ_weatherXML_web.vb","pageNotActive","",true)
	Elseif sLev = "all" OR (sLev = "admin" AND hs.RunEx("AZ_weatherXML_web.vb","userPermissions",hs.WebLoggedInUser, true) = 1) Then 
		Response.Write alertsetup()
	Else
		Response.Write hs.RunEx("AZ_weatherXML_web.vb","pageNoAccess","",true)
	End if
	Response.Write "<br />"
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","weatherPageLinks",hs.WEBLoggedInUser,True)
	Response.Write hs.GetPageFooter(false) 
%>
