<% 
	Option Explicit
	Dim sLev, sHeader
	function weatherstats(sHeading)
		Dim fs, x, intHigh, intLow
		Dim sINI, intCurTemp, intFeelsLike, intCondition, strCondIcon, unitTemp, strUVIndex, strUVCond, unitPressure
		Dim windDir, windSpeed, windGust, unitSpeed, visibility, unitDistance, barometer, bardir, intDays, strClass
		sINI = "weathercom_xml.ini"
		unitTemp = hs.GetINISetting ("InfoUnit","Temperature","",sINI)
		unitSpeed = hs.GetINISetting ("InfoUnit","Speed","",sINI)
		unitPressure = hs.GetINISetting("InfoUnit","Pressure","",sINI)
		unitDistance = hs.GetINISetting ("InfoUnit","Distance","",sINI)
		Set fs = hs.CreateStringClass
			fs.Add "<table border=""0""><tr><td colspan=""8"" class=""tableheader"">"
			fs.Add sHeading
			fs.Add "</td></tr>"
			fs.Add "<tr class=""tablecolumn""><td></td><td>"
			fs.Add hs.GetINISetting("Language","currentTemperature","Temperatuur",sINI)
			fs.Add "</td><td>"
			fs.Add hs.GetINISetting("Language","currentFeelsLike","Gevoelstemperatuur",sINI)
			fs.Add "</td><td>"
			fs.Add hs.GetINISetting("Language","humidity","Humidity",sINI)
			fs.Add "</td><td>"
			fs.Add hs.GetINISetting("Language","dewpoint","Dewpoint",sINI)
			fs.Add "</td></tr>"
			intCurTemp = hs.GetINISetting ("WeatherInfo","CurrentTemp","",sINI)
			intFeelsLike = hs.GetINISetting ("WeatherInfo","FeelsLike","",sINI)
			intCondition = hs.GetINISetting ("WeatherInfo","Condition","",sINI)
			strCondIcon = hs.GetINISetting ("WeatherInfo","ConditionIcon","",sINI)
			fs.Add "<tr valign=""top"" class=""tablerowodd""><td rowspan=""3"" align=""center""><img src="""
			fs.Add strCondIcon
			fs.Add """ align=""left"">"
			fs.Add "</td><td>"
			fs.Add hs.GetINISetting("Language","currentTemperature","Temperature",sINI)
			fs.Add ": "
			fs.Add intCurTemp
			fs.Add "&deg; "
			fs.Add unitTemp
			fs.Add "</td><td>"
			if intFeelsLike <> "N/A" Then
				fs.Add hs.GetINISetting("Language","currentFeelsLike","Feels Like",sINI)
				fs.Add ": "
				fs.Add intFeelsLike
				fs.Add "&deg; "
				fs.Add unitTemp
			End if
			fs.Add "</td><td>"
			if len(trim(hs.GetINISetting ("WeatherInfo","Humidity","",sINI))) > 0 Then
				fs.Add hs.GetINISetting("Language","humidity","Humidity",sINI)
				fs.Add ": "
				fs.Add hs.GetINISetting ("WeatherInfo","Humidity","",sINI)
				fs.Add "%"
			End if
			fs.Add "</td><td>"
			if len(trim(hs.GetINISetting ("WeatherInfo","Dewpoint","",sINI))) > 0 Then
				fs.Add hs.GetINISetting("Language","dewpoint","Dewpoint",sINI)
				fs.Add ": "
				fs.Add hs.GetINISetting ("WeatherInfo","Dewpoint","",sINI)
				fs.Add "&deg; "
				fs.Add unitTemp
			End if
			fs.Add "</td></tr>"
			fs.Add "<tr class=""tablecolumn""><td>"
			fs.Add hs.GetINISetting("Language","windSpeed","Wind",sINI)
			fs.Add "</td><td>"
			fs.Add hs.GetINISetting("Language","visibility","Visibility",sINI)
			fs.Add "</td><td>"
			fs.Add hs.GetINISetting("Language","barometer","Barometric Pressure",sINI)
			fs.Add "</td><td>"
			fs.Add hs.GetINISetting("Language","updated","Updated",sINI)
			fs.Add "</td></tr>"
			fs.Add "<tr valign=""top"" class=""tableroweven"">"
			WindDir = hs.GetINISetting ("WeatherInfo","WindDirection","",sINI)
			Windspeed = hs.GetINISetting ("WeatherInfo","WindSpeed","",sINI)
			Windgust = hs.GetINISetting ("WeatherInfo","Windgust","",sINI)
			fs.Add "<td>"
			fs.Add hs.GetINISetting("Language","windSpeed","Wind",sINI)
			fs.Add ": "
			fs.Add hs.RunEx("AZ_weathercom_xml.vb","directionText",WindDir,True)
			if IsNumeric(Windspeed) Then
				if WindSpeed > 0 Then
					fs.Add "<br/>met "
					fs.Add Windspeed
					fs.Add " "
					fs.Add unitSpeed
				End if
			End if
			fs.Add "</td><td>"
			fs.Add hs.GetINISetting("Language","visibility","Visibility",sINI)
			fs.Add ": "
			visibility = hs.GetINISetting ("WeatherInfo","Visibility","",sINI)
			fs.Add visibility
			if IsNumeric(visibility) Then
				fs.Add " "
				fs.Add unitDistance
			End if
			barometer=hs.GetINISetting ("WeatherInfo","Barometer","",sINI)
			bardir = hs.GetINISetting ("WeatherInfo","BarometerDir","",sINI)
			if bardir = "steady"then bardir = "stabiel"
			if bardir = "rising"then bardir = "steigende"
			if bardir = "falling"then bardir = "dalende"
			fs.Add "</td><td>"
			if len(trim(hs.GetINISetting ("WeatherInfo","Barometer","",sINI))) > 0 Then
				fs.Add hs.GetINISetting("Language","barometer","Barometric Pressure",sINI)
				fs.Add ":<br/>"
				fs.Add barometer
				fs.Add " "
				fs.Add unitPressure
				fs.Add " en "
				fs.Add bardir
			End if
			fs.Add "</td><td>"
			fs.Add hs.GetINISetting("Language","updated","Updated",sINI)
			fs.Add ": "
			fs.Add hs.GetINISetting ("Location","TimeChecked","",sINI)
			fs.Add "<br>HomeSeer "
			fs.Add hs.GetINISetting("Language","updated","Updated",sINI)
			fs.Add ": "
			fs.Add hs.GetINISetting ("WeatherInfo","LastUpdate","",sINI)
			fs.Add "</td></tr>"
			fs.Add "<tr><td colspan=""5"" class=""tablecolumn"">"
			fs.Add hs.GetINISetting("Language","forecast","Forecast",sINI)
			fs.Add "</td></tr>"
			intDays = hs.GetINISetting ("Settings","devForecastdays",0,sINI)
			strClass="tableroweven"
			For x = 1 to 10
				if len(trim(hs.GetINISetting ("Forecast","DayName" & x,"",sINI))) > 0 Then
					if strClass = "tableroweven" Then
						strClass = "tablerowodd"
					Else
						strClass = "tableroweven"
					End if
					fs.Add "<tr valign=""top"" class="""
					fs.Add strClass
					fs.Add """>"
					if x = 1 Then
						fs.Add "<td>"
					Else
						fs.Add "<td rowspan=""2"">"
					End if
					fs.Add hs.GetINISetting ("Forecast","DayName" & x,"",sINI)
					fs.Add " "
					fs.Add hs.GetINISetting ("Forecast","DayDate" & x,"",sINI)
					fs.Add "</td>"
					if x = 1 Then
						fs.Add "<td>"
						if len(trim(hs.GetINISetting ("Forecast","NightIconName" & x,"",sINI))) > 0 Then
							fs.Add "<img src=""/Images/weathericons/condition/"
							fs.Add hs.GetINISetting ("Forecast","NightIconName" & x,"",sINI)
							fs.Add """>"
						End if
						fs.Add "</td>"
						fs.Add "<td>Vannacht: "
						'fs.Add hs.GetINISetting ("Forecast","NightCondition" & x,"",sINI)
						dim nightCond
						nightCond = hs.GetINISetting ("Forecast","NightCondition" & x,"",sINI)
						fs.Add(lcase(hs.GetINISetting("Language Conditions",nightCond,nightCond,sINI)))
						fs.Add "</td><td>"
						intHigh = hs.GetINISetting ("Forecast","DayHi" & x,"",sINI)
						if intHigh <> "N/A" AND len(trim(intHigh)) > 0 Then
							fs.Add "Hoog: "
							fs.Add intHigh
							fs.Add "&deg; "
							fs.Add unitTemp
							fs.Add "<br/>"
						End if
						intLow = hs.GetINISetting ("Forecast","DayLow" & x,"",sINI)
						if intLow <> "N/A" Then
							fs.Add "Laag: "
							fs.Add intLow
							fs.Add "&deg; "
							fs.Add unitTemp
						End if
						fs.Add "</td><td>"
						if len(trim(hs.GetINISetting ("Forecast","NightPrecipitation" & x,"",sINI))) > 0 Then
							fs.Add "Kans op neerslag: "
							fs.Add hs.GetINISetting ("Forecast","NightPrecipitation" & x,"",sINI)
							fs.Add " "
							fs.Add hs.GetINISetting("InfoUnit","rain","%",sINI) 
						End if
						fs.Add "</td>"
					Else
						fs.Add "<td><img src=""/Images/weathericons/condition/"
						fs.Add hs.GetINISetting ("Forecast","DayIconName" & x,"",sINI)
						fs.Add """></td>"
						fs.Add "<td>Dag: "
						'fs.Add hs.GetINISetting ("Forecast","DayCondition" & x,"",sINI)
						dim dayCond
						dayCond = hs.GetINISetting ("Forecast","DayCondition" & x,"",sINI)
						fs.Add(lcase(hs.GetINISetting("Language Conditions",dayCond,dayCond,sINI)))
						fs.Add "</td><td>"
						intHigh = hs.GetINISetting ("Forecast","DayHi" & x,"",sINI)
						if intHigh <> "N/A" Then
							fs.Add "Hoog: "
							fs.Add intHigh
							fs.Add "&deg; "
							fs.Add unitTemp
						End if
						fs.Add "</td><td>"
						if len(trim(hs.GetINISetting("Forecast","DayPrecipitation" & x,"",sINI))) > 0 Then
							fs.Add "Kans op neerslag: "
							fs.Add hs.GetINISetting("Forecast","DayPrecipitation" & x,"0",sINI)
							fs.Add " "
							fs.Add hs.GetINISetting("InfoUnit","rain","%",sINI) 
						End if
						fs.Add "</td>"
					End if
					fs.Add "</tr>"
					if x > 1 Then
						fs.Add "<tr valign=""top"" class="""
						fs.Add strClass
						fs.Add """><td>"
						if len(trim(hs.GetINISetting ("Forecast","NightIconName" & x,"",sINI))) > 0 Then
							fs.Add "<img src=""/Images/weathericons/condition/"
							fs.Add hs.GetINISetting ("Forecast","NightIconName" & x,"",sINI)
							fs.Add """>"
						End if
						fs.Add "</td>"
						fs.Add "<td>Nacht: "
						fs.Add hs.GetINISetting ("Forecast","NightCondition" & x,"",sINI)
						fs.Add "</td><td>"
						intLow = hs.GetINISetting ("Forecast","DayLow" & x,"",sINI)
						if intLow <> "N/A" AND len(trim(intLow)) > 0 Then
							fs.Add "Laag: "
							fs.Add intLow
							fs.Add "&deg; "
							fs.Add unitTemp
						End if
						fs.Add "</td><td>"
						if len(trim(hs.GetINISetting ("Forecast","NightPrecipitation" & x,"",sINI))) > 0 Then
							fs.Add "Kans op neerslag: "
							fs.Add hs.GetINISetting ("Forecast","NightPrecipitation" & x,"0",sINI)
							fs.Add " "
							fs.Add hs.GetINISetting("InfoUnit","rain","%",sINI) 
						End if
						fs.Add "</td></tr>"
					End if
				End if
			Next
			fs.Add "</table>"
			weatherstats = fs.Value
		Set fs = Nothing
	End function
	sHeader = hs.RunEx("AZ_weatherXML_web.vb","webPageHeader","weatherstats.asp",true)
	Response.Write  hs.GetPageHeader(sHeader,"","",False,False,False,False,False)
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","weatherPageLinks",hs.WEBLoggedInUser,True)
	sLev = hs.RunEx("AZ_weatherXML_web.vb","checkPageAccess","weatherstats.asp",true)
	if sLev = "none" Then
		Response.Write hs.RunEx("AZ_weatherXML_web.vb","pageNotActive","",true)
	Elseif sLev = "all" OR (sLev = "admin" AND hs.RunEx("AZ_weatherXML_web.vb","userPermissions",hs.WebLoggedInUser, true) = 1) Then 
		Response.Write weatherstats(sHeader)
	Else
		Response.Write hs.RunEx("AZ_weatherXML_web.vb","pageNoAccess","",true)
	End if
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","providerLinks","",True)
	Response.Write "<br/>"
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","weatherPageLinks",hs.WEBLoggedInUser,True)
	Response.Write hs.GetPageFooter(false) 
%>
