<% 
	Option Explicit
	Dim bPlugTemp
	Dim sINI, nPriv, sLev
	nPriv =  hs.RunEx("AZ_weatherXML_web.vb","userPermissions",hs.WebLoggedInUser, true)
	sINI = "weathercom_xml.ini"
	bPlugTemp = hs.RunEx("AZ_weatherXML_web.vb","chkPlugins","mcsTemperature",True)
	if nPriv = 1 Then
		Dim strClass, intImages, fs, showMenu, imageSize, touchpaddayswide, x, usemarquee, useicons, wxvalue, useheadings
		Dim hsinivalue, useheadingsstyle, devforecastdays, touchpadimage, strURL, strCaption, strLegend, dewpointImage
		Function createDevice(devCode,devName,nGroup)
			Dim dv, nPriv
			createDevice = false
			if Len(Trim(devCode)) > 0 Then
				if hs.DeviceExists(devCode) = "-1" Then		
					set dv = hs.NewDeviceEx(devName)
					dv.location="WeatherXML"
					if nGroup = 1 Then
						dv.location2 = "Current"
					Else
						dv.location2 = "Forecast"
					End if
					dv.hc = Left(devCode,1)
					dv.dc = Right(devCode,Len(devCode)-1)
					dv.misc=16
					dv.iotype=0
					hs.SaveEventsDevices
					createDevice = true
				End if
			End if
		End Function
		function switchClass(sCur)
			if sCur ="tableroweven" Then 
				switchClass = "tablerowodd"
			Else
				switchClass = "tableroweven"
			End if
		End function
		if request.Form("SaveWeatherSetup") <> "" Then 
			Dim bVal, strImageName1, strImageName2, strImageName3
			Dim dLastUp
			Dim aSection, aKey, aSections
			Dim sSection, sKey, sValue, sLastKey
			Dim wp, nPages, aSort
			hs.SaveINISetting "Speak","Hosts",request.Form("spkrClient"),sINI
			hs.SaveINISetting "Settings","NOAAStation",request.Form("NOAAStation"),sINI
			hs.SaveINISetting "Settings","NOAAForecastlat",request.Form("NOAAForecastlat"),sINI
			hs.SaveINISetting "Settings","NOAAForecastlon",request.Form("NOAAForecastlon"),sINI
			hs.SaveINISetting "Settings","showMenu",request.Form("showMenu"),sINI
			hs.SaveINISetting "Settings","UseMarquee",request.Form("UseMarquee"),sINI
			hs.SaveINISetting "Settings","useHeadings",request.Form("useHeadings"),sINI
			hs.SaveINISetting "Settings","useHeadingsStyle",request.Form("useHeadingsStyle"),sINI
			hs.SaveINISetting "Settings","UseIcons",request.Form("UseIcons"),sINI
			hs.SaveINISetting "Maps","ForecastGraph",request.Form("ForecastGraph"),sINI
			hs.SaveINISetting "Settings","zipcode",request.Form("zipcode"),sINI
			hs.SaveINISetting "Settings","mapNumber",request.Form("mapNumber"),sINI
			hs.SaveINISetting "Settings","imagesize",request.Form("imagesize"),sINI
			hs.SaveINISetting "Settings","touchpaddayswide",request.Form("touchpaddayswide"),sINI
			hs.SaveINISetting "Settings","TouchpadImageWide",request.Form("TouchpadImageWide"),sINI
			if request.Form("TouchpadImage") <> hs.GetINISetting("Settings","TouchpadImage","",sINI) Then
				hs.SaveINISetting "Settings","TouchpadImage",request.Form("TouchpadImage"),sINI
				hs.RunEx "AZ_weatherXML_web.vb","setDeviceMap1","",true
			End if
			if request.Form("TouchpadImage2") <> hs.GetINISetting("Settings","TouchpadImage2","",sINI) Then
				hs.SaveINISetting "Settings","TouchpadImage2",request.Form("TouchpadImage2"),sINI
				hs.RunEx "AZ_weatherXML_web.vb","setDeviceMap2","",true
			End if
			bVal = createDevice(request.Form("devCondition"), "Condition",1)
			hs.SaveINISetting "Settings","devCondition",request.Form("devCondition"),sINI
			hs.SaveINISetting "Settings","devConditionSpk",request.Form("devConditionSpk"),sINI
			bVal = createDevice(request.Form("devTemp"), "Temperature",1)
			hs.SaveINISetting "Settings","devTemp",request.Form("devTemp"),sINI
			hs.SaveINISetting "Settings","devTempSpk",request.Form("devTempSpk"),sINI
			hs.SaveINISetting "Settings","devHiTempSpk",request.Form("devHiTempSpk"),sINI
			hs.SaveINISetting "Settings","devLowTempSpk",request.Form("devLowTempSpk"),sINI
			bVal = createDevice(request.Form("devFeelsLike"), "Temperature Feels Like",1)
			hs.SaveINISetting "Settings","devFeelsLike",request.Form("devFeelsLike"),sINI
			hs.SaveINISetting "Settings","devFeelsLikeSpk",request.Form("devFeelsLikeSpk"),sINI
			bVal = createDevice(request.Form("devWind"), "Wind Speed",1)
			hs.SaveINISetting "Settings","devWind",request.Form("devWind"),sINI
			hs.SaveINISetting "Settings","devWindSpk",request.Form("devWindSpk"),sINI
			bVal = createDevice(request.Form("devWindDir"), "Wind Direction",1)
			hs.SaveINISetting "Settings","devWindDir",request.Form("devWindDir"),sINI
			hs.SaveINISetting "Settings","devWindDirSpk",request.Form("devWindDirSpk"),sINI
			bVal = createDevice(request.Form("devWindGust"), "Wind Gust",1)
			hs.SaveINISetting "Settings","devWindGust",request.Form("devWindGust"),sINI
			hs.SaveINISetting "Settings","devWindGustSpk",request.Form("devWindGustSpk"),sINI
			bVal = createDevice(request.Form("devWindDegrees"), "Wind Degrees",1)
			hs.SaveINISetting "Settings","devWindDegrees",request.Form("devWindDegrees"),sINI
			hs.SaveINISetting "Settings","devWindDegreesSpk",request.Form("devWindDegreesSpk"),sINI
			bVal = createDevice(request.Form("devDewpoint"), "Dewpoint",1)
			hs.SaveINISetting "Settings","devDewpoint",request.Form("devDewpoint"),sINI
			hs.SaveINISetting "Settings","devDewpointSpk",request.Form("devDewpointSpk"),sINI
			hs.SaveINISetting "Settings","dewpointImage",request.Form("dewpointImage"),sINI
			bVal = createDevice(request.Form("devHumidity"), "Humidity",1)
			hs.SaveINISetting "Settings","devHumidity",request.Form("devHumidity"),sINI
			hs.SaveINISetting "Settings","devHumiditySpk",request.Form("devHumiditySpk"),sINI
			bVal = createDevice(request.Form("devVisibility"), "Visibility",1)
			hs.SaveINISetting "Settings","devVisibility",request.Form("devVisibility"),sINI
			hs.SaveINISetting "Settings","devVisibilitySpk",request.Form("devVisibilitySpk"),sINI
			bVal = createDevice(request.Form("devBarometer"), "Barometer",1)
			hs.SaveINISetting "Settings","devBarometer",request.Form("devBarometer"),sINI
			hs.SaveINISetting "Settings","devBarometerSpk",request.Form("devBarometerSpk"),sINI
			bVal = createDevice(request.Form("devBarometerDir"), "Barometer Direction",1)
			hs.SaveINISetting "Settings","devBarometerDir",request.Form("devBarometerDir"),sINI
			hs.SaveINISetting "Settings","devBarometerDirSpk",request.Form("devBarometerDirSpk"),sINI
			bVal = createDevice(request.Form("devForecast"), "Forecast",2)
			hs.SaveINISetting "Settings","devForecast",request.Form("devForecast"),sINI
			hs.SaveINISetting "Settings","devForecastSpk",request.Form("devForecastSpk"),sINI
			hs.SaveINISetting "Settings","devForecastdays",request.Form("devForecastdays"),sINI
			bVal = createDevice(request.Form("devUpdated"), "Weather Updated",1)
			hs.SaveINISetting "Settings","devUpdated",request.Form("devUpdated"),sINI
			hs.SaveINISetting "Settings","devUpdatedSpk",request.Form("devUpdatedSpk"),sINI
			bVal = createDevice(request.Form("devMap1"), "Alert Map",1)
			hs.SaveINISetting "Settings","devMap1",request.Form("devMap1"),sINI
			bVal = createDevice(request.Form("devMap2"), "Radar Map",1)
			hs.SaveINISetting "Settings","devMap2",request.Form("devMap2"),sINI			
			hs.SaveINISetting "Settings","devHiTemp",request.Form("devHiTemp"),sINI
			bVal = createDevice(request.Form("devLowTemp"),"Todays Low Temperature",1)
			hs.SaveINISetting "Settings","devLowTemp",request.Form("devLowTemp"),sINI
			bVal = createDevice(request.Form("lastSpoken"),"Last Spoken",1)
			hs.SaveINISetting "Settings","lastSpoken",request.Form("lastSpoken"),sINI
			bVal = createDevice(request.Form("forecastToday"),"Todays Forecast",2)
			hs.SaveINISetting "Settings","forecastToday", request.Form("forecastToday"),sINI
			bVal = createDevice(request.Form("forecastTonight"),"Tonights Forecast",2)
			hs.SaveINISetting "Settings","forecastTonight", request.Form("forecastTonight"),sINI
			bVal = createDevice(request.Form("forecastTomorrow"),"Tomorrows Forecast",2)
			hs.SaveINISetting "Settings","forecastTomorrow",request.Form("forecastTomorrow"),sINI
			bVal = createDevice(request.Form("forecastTomorrowNight"),"Tomorrow Nights Forecast",2)
			hs.SaveINISetting "Settings","forecastTomorrowNight",request.Form("forecastTomorrowNight"),sINI
			bVal = createDevice(request.Form("forecast2Day"),"Forecast: 2nd Day",2)
			hs.SaveINISetting "Settings","forecast2Day",request.Form("forecast2Day"),sINI
			bVal = createDevice(request.Form("forecast3Day"),"Forecast: 3rd Day",2)
			hs.SaveINISetting "Settings","forecast3Day",request.Form("forecast3Day"),sINI
			bVal = createDevice(request.Form("forecast4Day"),"Forecast: 4th Day",2)
			hs.SaveINISetting "Settings","forecast4Day",request.Form("forecast4Day"),sINI
			bVal = createDevice(request.Form("forecast5Day"),"Forecast: 5th Day",2)
			hs.SaveINISetting "Settings","forecast5Day",request.Form("forecast5Day"),sINI
			bVal = createDevice(request.Form("forecast6Day"),"Forecast: 6th Day",2)
			hs.SaveINISetting "Settings","forecast6Day",request.Form("forecast6Day"),sINI
			
			bVal = createDevice(request.Form("forecast7Day"),"Forecast: 7th Day",2)
			hs.SaveINISetting "Settings","forecast7Day",request.Form("forecast7Day"),sINI
			bVal = createDevice(request.Form("devHiTemp"),"Todays Hi Temperature",1)
			
			hs.SaveINISetting "Settings","devTempHistory",request.Form("devTempHistory"),sINI
			bVal = createDevice(request.Form("devTempHistory"),"Todays Normal High",1)
			hs.SaveINISetting "Settings","devTempHistorySpk",request.Form("devTempHistorySpk"),sINI
			hs.SaveINISetting "Language","devTempHistoryLbl",request.Form("devTempHistoryLbl"),sINI
			
			hs.SaveINISetting "Settings","devTempHistoryLow",request.Form("devTempHistoryLow"),sINI
			bVal = createDevice(request.Form("devTempHistoryLow"),"Todays Normal Low",1)
			hs.SaveINISetting "Settings","devTempHistoryLowSpk",request.Form("devTempHistoryLowSpk"),sINI
			hs.SaveINISetting "Language","devTempHistoryLowLbl",request.Form("devTempHistoryLowLbl"),sINI
			
			hs.SaveINISetting "Settings","devTempRecordHigh",request.Form("devTempRecordHigh"),sINI
			bVal = createDevice(request.Form("devTempRecordHigh"),"Todays Record High",1)
			hs.SaveINISetting "Settings","devTempRecordHighSpk",request.Form("devTempRecordHighSpk"),sINI
			hs.SaveINISetting "Language","devTempRecordHighLbl",request.Form("devTempRecordHighLbl"),sINI

			hs.SaveINISetting "Settings","devTempRecordLow",request.Form("devTempRecordLow"),sINI
			bVal = createDevice(request.Form("devTempRecordLow"),"Todays Record Low",1)
			hs.SaveINISetting "Settings","devTempRecordLowSpk",request.Form("devTempRecordLowSpk"),sINI
			hs.SaveINISetting "Language","devTempRecordLowLbl",request.Form("devTempRecordLowLbl"),sINI
			
			hs.SaveINISetting "Settings","devTempLastYearHigh",request.Form("devTempLastYearHigh"),sINI
			bVal = createDevice(request.Form("devTempLastYearHigh"),"Today Last Years High",1)
			hs.SaveINISetting "Settings","devTempLastYearHighSpk",request.Form("devTempLastYearHighSpk"),sINI
			hs.SaveINISetting "Language","devTempLastYearHighLbl",request.Form("devTempLastYearHighLbl"),sINI

			hs.SaveINISetting "Settings","devTempLastYearLow",request.Form("devTempLastYearLow"),sINI
			bVal = createDevice(request.Form("devTempLastYearLow"),"Today Last Years Low",1)
			hs.SaveINISetting "Settings","devTempLastYearLowSpk",request.Form("devTempLastYearLowSpk"),sINI
			hs.SaveINISetting "Language","devTempLastYearLowLbl",request.Form("devTempLastYearLowLbl"),sINI

			hs.SaveINISetting "Settings","devMoonPhase",request.Form("devMoonPhase"),sINI
			bVal = createDevice(request.Form("devMoonPhase"),"Moon Phase",1)
			hs.SaveINISetting "Settings","devMoonPhaseSpk",request.Form("devMoonPhaseSpk"),sINI
			hs.SaveINISetting "Language","devMoonPhaseLbl",request.Form("devMoonPhaseLbl"),sINI

			hs.SaveINISetting "Settings","xmlweblocation",request.Form("xmlweblocation"),sINI
			hs.SaveINISetting "Settings","runScript",request.Form("runScript"),sINI
			
			intImages = hs.GetINISetting ("Settings","mapNumber",0,sINI)
			hs.SaveINISetting "InfoUnit","Temperature",request.Form("unitTemp"),sINI
			hs.SaveINISetting "InfoUnit","TempSpeak",request.Form("TempSpeak"),sINI
			hs.SaveINISetting "InfoUnit","Distance",request.Form("unitDistance"),sINI
			hs.SaveINISetting "InfoUnit","Speed",request.Form("unitSpeed"),sINI
			hs.SaveINISetting "InfoUnit","Pressure",request.Form("unitPressure"),sINI
			hs.SaveINISetting "InfoUnit","Rain",request.Form("unitRain"),sINI
			hs.SaveINISetting "InfoUnit","pressureUnit",request.Form("unitBarometer"),sINI
			hs.SaveINISetting "InfoUnit","SpeedUnit",request.Form("unitSpd"),sINI
			hs.SaveINISetting "InfoUnit","distanceUnit",request.Form("distanceUnit"),sINI
			hs.SaveINISetting "Speak","speakFirst",request.Form("speakFirst"),sINI
			hs.SaveINISetting "Settings","WWOAPIKey",request.Form("WWOAPIKey"),sINI
			hs.SaveINISetting "Settings","wwolat",request.Form("wwolat"),sINI
			hs.SaveINISetting "Settings","wwolon",request.Form("wwolon"),sINI
			hs.SaveINISetting "Settings","updlocation",request.Form("updlocation"),sINI
			hs.SaveINISetting "Settings","WUAPI",request.Form("WUAPI"),sINI
			hs.SaveINISetting "Settings","wulat",request.Form("wulat"),sINI
			hs.SaveINISetting "Settings","wulon",request.Form("wulon"),sINI
			hs.SaveINISetting "Debug","debugMode",request.Form("debugMode"),sINI
			for x = 1 to intImages
				strImageName1 = "image" & x
				strImageName2 = "image" & x & "caption"
				strImageName3 = "image" & x & "legend"
				hs.SaveINISetting "Maps",strImageName1,request.Form(strImageName1),sINI
				hs.SaveINISetting "Maps",strImageName2,request.Form(strImageName2),sINI
				hs.SaveINISetting "Maps",strImageName3,request.Form(strImageName3),sINI
			Next
			Set wp = hs.CreateStringClass
				if len(Trim(hs.GetINISetting("webPages","pageSort","",sINI))) > 0 Then
					aSort = split(hs.GetINISetting("webPages","pageSort","",sINI),",")
					nPages = uBound(aSort) +1
				Else
					nPages = hs.GetINISetting("webPages","pageNum","2",sINI)
				End if
				for x = 1 to nPages
					wp.Add "pageLev"
					wp.Add x
					if request.Form(wp.Value) <> "" Then
						hs.SaveINISetting "webPages",wp.Value,request.Form(wp.Value),sINI
					End if
					wp.Reset
					wp.Add "pageBtn"
					wp.Add x
					if request.Form(wp.Value) <> "" Then
						hs.SaveINISetting "webPages",wp.Value,request.Form(wp.Value),sINI
					End if
					wp.Reset
				Next
				aSections = split(hs.GetINISetting("Settings","WUFiles","",sINI),",")
				for x = 0 to UBound(aSections)
					wp.Add "wu_"
					wp.Add aSections(x)
					hs.SaveINISetting "WeatherUnderground",aSections(x),request.Form(wp.Value),sINI
					wp.Reset
				Next
			Set wp = Nothing
			if hs.GetINISetting("Settings","xmlSource","",sINI) <> request.Form("xmlsource") Then
				if request.Form("xmlsource") = "noaa" Then
					sLastKey = "lastranNC"
				Elseif request.Form("xmlsource") = "wwo" Then
					sLastKey = "lastranWWO"
				Elseif request.Form("xmlsource") = "wu" Then
					sLastKey = "lastranWUC"
				End if
				dLastUp = dateAdd("h",-2,hs.GetINISetting("Settings",sLastKey,Now(),sINI))
				hs.SaveINISetting "Settings",sLastKey,dLastUP,sINI
			End if
			hs.SaveINISetting "Settings","xmlSource",request.Form("xmlSource"),sINI
			if hs.GetINISetting("settings","xmlSource","noaa",sINI) = "wwo" Then
				sSection = hs.GetINISection("Language Conditions",sINI)
				aSection = split(sSection,chr(0))
				for x = 0 to UBound(aSection)
					aKey = split(aSection(x),"=")
					sKey = aKey(0)
					sValue = request.Form(replace(sKey," ","_"))
					hs.SaveINISetting "Language Conditions",sKey,sValue,sINI
				Next
			End if
			if len(trim(request.Form("runMCSTemp"))) > 0 Then
				hs.SaveINISetting "Settings","runMCSTemp",request.Form("runMCSTemp"),sINI
			End if
			if len(trim(request.Form("connectString"))) > 0 Then
				hs.SaveINISetting "DBConnect","connectString",request.Form("connectString"),sINI
			End if
			hs.SaveINISetting "dbConnect","wXML3ConnectString",request.Form("wXML3ConnectString"),sINI
			hs.SaveINISetting "Settings","saveToDB",request.Form("saveToDB"),sINI

			hs.SaveINISetting "Language","currentCondition",request.Form("currentCondition"),sINI
			hs.SaveINISetting "Language","updated",request.Form("Updated"),sINI
			hs.SaveINISetting "Language","currentTemperature",request.Form("currentTemperature"),sINI
			hs.SaveINISetting "Language","currentFeelsLike",request.Form("currentFeelsLike"),sINI
			hs.SaveINISetting "Language","temperatureHigh",request.Form("temperatureHigh"),sINI
			hs.SaveINISetting "Language","temperatureLow",request.Form("temperatureLow"),sINI
			hs.SaveINISetting "Language","humidity",request.Form("humidity"),sINI
			hs.SaveINISetting "Language","windSpeed",request.Form("windSpeed"),sINI
			hs.SaveINISetting "Language","windDirection",request.Form("windDirection"),sINI
			hs.SaveINISetting "Language","windGust",request.Form("windGust"),sINI
			hs.SaveINISetting "Language","windDegrees",request.Form("windDegrees"),sINI
			hs.SaveINISetting "Language","visibility",request.Form("visibility"),sINI
			hs.SaveINISetting "Language","dewpoint",request.Form("dewpoint"),sINI
			hs.SaveINISetting "Language","barometer",request.Form("barometer"),sINI
			hs.SaveINISetting "Language","barometerDirection",request.Form("barometerDirection"),sINI
			hs.SaveINISetting "Language","forecast",request.Form("forecast"),sINI
		End if
	End if
	function weathercomsetup()
		Dim objFSO, objFolder, objFile
		Dim aSection, aSections, aSort
		Dim uTemp, sSpd, sSection, sDist
		Dim aKey
		Dim ss
		Dim sKey, sValue, sRun
		Dim nPages
		DIm pLev, txName, pBtn, pAlt, ddName

		strClass="tableroweven"
		intImages = hs.GetINISetting ("Settings","mapNumber",10,sINI)
		
		Set fs = hs.CreateStringClass
		Set ss = hs.CreateStringClass
			fs.Add "<table><form method=""post"" action=""""><tr><td class=""tableheader"" colspan=""2"">WeatherXML<sup>3</sup> Setup</td></tr>"
			fs.Add "<tr><td colspan=""2"" align=""center""><input type=""Submit"" class=""formbutton"" name=""SaveWeatherSetup"" value=""Save""></td></tr>"

			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">Debug</td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Write Debug Notes to Log</td><td><select name=""debugMode"">"
			fs.Add "<option "
			if hs.GetINISetting("debug","debugMode","False",sINI) = "True" Then
				fs.Add "selected "
			End if
			fs.Add " value=""True"">Yes</option>"
			fs.Add "<option "
			if hs.GetINISetting("debug","debugMode","False",sINI) = "False" Then
				fs.Add "selected "
			End if
			fs.Add " value=""False"">No</option>"
			fs.Add "</select></td></tr>"			

			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">XML File Source</td></tr>"
			
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Primary XML Source</td><td><select name=""xmlSource"">"
			fs.Add "<option "
			if hs.GetINISetting("settings","xmlSource","noaa",sINI) = "noaa" Then
				fs.Add "selected "
			End if
			fs.Add " value=""noaa"">NOAA Weather</option>"
			fs.Add "<option "
			if hs.GetINISetting("settings","xmlSource","noaa",sINI) = "wu" Then
				fs.Add "selected "
			End if
			fs.Add " value=""wu"">Weather Underground</option>"
			fs.Add "<option "
			if hs.GetINISetting("settings","xmlSource","noaa",sINI) = "wwo" Then
				fs.Add "selected "
			End if
			fs.Add " value=""wwo"">World Weather Online</option>"
			fs.Add "</select>&nbsp;"
			fs.Add " <a target=""top"" href=""http://www.worldweatheronline.com/map-search.aspx"">Lat/Lon Interactive Map</a>"
			fs.Add "</td></tr>"			

			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">NOAA Weather Setup</td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td colspan=""2"">Current Contitions<br/>"
			fs.Add "Go to <a target=""new"" href=""http://www.weather.gov/xml/current_obs/"">State Selector</a> to find your location</td></tr>"
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>NOAA Current Conditions</td><td>"
			fs.Add hs.GetINISetting("Settings","NOAADomain","",sINI)
			fs.Add hs.GetINISetting("Settings","NOAAUrl","",sINI)
			fs.Add "<input class=""formtext"" type=""text"" size=""25"" name=""NOAAStation"" value="""
			fs.Add hs.GetINISetting ("Settings","NOAAStation","",sINI)
			fs.Add """>.xml</td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td colspan=""2"">Weather Forecasts<br/>"
			fs.Add "Go to <a target=""new"" href=""http://www.weather.gov/"">Location Selector</a>.  Click to your location and get the Lat and Long</td></tr>"
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>NOAA Forecast</td><td>"
			fs.Add "Lat <input class=""formtext"" type=""text"" size=""10"" name=""NOAAForecastlat"" value="""
			if hs.GetINISetting ("Settings","NOAAForecastlat","",sINI) = "" Then
				fs.Add hs.GetINISetting("settings","latitude","")
			Else
				fs.Add hs.GetINISetting ("Settings","NOAAForecastlat","",sINI)
			End if
			fs.Add """> "
			fs.Add "Lon <input class=""formtext"" type=""text"" size=""10"" name=""NOAAForecastlon"" value="""
			if hs.GetINISetting ("Settings","NOAAForecastlon","",sINI) = "" Then
				if left(hs.GetINISetting("Settings","longitude",""),1) = "-" Then
					fs.Add ABS(hs.GetINISetting("Settings","longitude",""))
				Else
					fs.Add "-"
					fs.Add hs.GetINISetting("Settings","longitude","")
				End if
			Else
				fs.Add hs.GetINISetting ("Settings","NOAAForecastlon","",sINI)
			End if		
			fs.Add """>"
			fs.Add "</td></tr>"

			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">World Weather Online Setup</td></tr>"
			
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td colspan=""2"">Weather Information<br/>"
			fs.Add "Go to <a target=""new"" href=""http://www.worldweatheronline.com/register.aspx"">Register</a></td></tr>"
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>World Weather Online API Key</td><td>"
			fs.Add "<input class=""formtext"" type=""text"" size=""25"" name=""WWOAPIKey"" value="""
			fs.Add hs.GetINISetting ("Settings","WWOAPIKey","",sINI)
			fs.Add """></td></tr>"
			
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Latitude/Longitude</td><td>"
			fs.Add "Lat <input class=""formtext"" type=""text"" size=""10"" name=""wwolat"" value="""
			if hs.GetINISetting ("Settings","wwolat","",sINI) = "" Then
				fs.Add hs.GetINISetting("settings","latitude","")
			Else
				fs.Add hs.GetINISetting ("Settings","wwolat","",sINI)
			End if
			fs.Add """> "
			fs.Add "Lon <input class=""formtext"" type=""text"" size=""10"" name=""wwolon"" value="""
			if hs.GetINISetting ("Settings","wwolon","",sINI) = "" Then
				if left(hs.GetINISetting("Settings","longitude",""),1) = "-" Then
					fs.Add ABS(hs.GetINISetting("Settings","longitude",""))
				Else
					fs.Add "-"
					fs.Add hs.GetINISetting("Settings","longitude","")
				End if
			Else
				fs.Add hs.GetINISetting ("Settings","wwolon","",sINI)
			End if		
			fs.Add """>"
			fs.Add "</td></tr>"

			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">Weather Underground Setup</td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td colspan=""2"">Weather Underground<br/>"
			fs.Add "Go to <a target=""new"" href=""http://www.wunderground.com/members/signup.asp"">Register</a></td></tr>"
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Weather Underground API Key</td><td>"
			fs.Add "<input class=""formtext"" type=""text"" size=""25"" name=""WUAPI"" value="""
			fs.Add hs.GetINISetting ("Settings","WUAPI","",sINI)
			fs.Add """></td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Latitude/Longitude</td><td>"
			fs.Add "Lat <input class=""formtext"" type=""text"" size=""10"" name=""wulat"" value="""
			if hs.GetINISetting ("Settings","wulat","",sINI) = "" Then
				fs.Add hs.GetINISetting("Settings","latitude","")
			Else
				fs.Add hs.GetINISetting ("Settings","wulat","",sINI)
			End if
			fs.Add """> "
			fs.Add "Lon <input class=""formtext"" type=""text"" size=""10"" name=""wulon"" value="""
			if hs.GetINISetting ("Settings","wulon","",sINI) = "" Then
				if left(hs.GetINISetting("Settings","longitude",""),1) = "-" Then
					fs.Add ABS(hs.GetINISetting("Settings","longitude",""))
				Else
					fs.Add "-"
					fs.Add hs.GetINISetting("Settings","longitude","")
				End if
			Else
				fs.Add hs.GetINISetting ("Settings","wulon","",sINI)
			End if		
			fs.Add """>"
			fs.Add "</td></tr>"

			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">If you want to use Weather Underground as your primary source, please select it in the dropdown above.<br/>"
			fs.Add "If you only want to use it for certain information not available on your primary source, the select your primary in the dropdown above.<br/>"
			fs.Add "Then select the sections you want to get from Weather Underground in the options below.</td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """ valign=""top""><td>Weather Underground Sections</td><td>"
			aSections = split(hs.GetINISetting("Settings","WUFiles","",sINI),",")
			For x = 0 to UBound(aSections)
				sRun = hs.GetINISetting("WeatherUnderground",aSections(x),false,sINI)
				fs.Add "<input type=""checkbox"" value=""True"" "
				if lCase(sRun) = "true" Then
					fs.Add "checked "
				End if
				fs.Add "name=""wu_"
				fs.Add aSections(x)
				fs.Add """>"
				fs.Add aSections(x)
				fs.Add " &nbsp; "
				if x Mod 8 = 0 AND x > 0 Then
					fs.Add "<br/>"
				End if
			Next
			fs.Add "<br/>* See the dcoumentation for which section works with each primary provider <a href=""/weathercom_xml/weatherxml.doc"">Docs</a>"
			fs.Add "</td></tr>"

			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">Misc</td></tr>"

			strClass = switchClass(strClass)
			sValue = hs.GetINISetting ("Settings","saveToDB","False",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Save Data to Database</td><td><input class=""formradio"" type=""radio"" "
			if sValue = "True" Then fs.Add "checked "
			fs.Add "name=""saveToDB"" id=""saveToDBYes"" value=""True""><label for=""saveToDBYes"">Yes</label>"
			fs.Add " <input class=""formradio"" type=""radio"" "
			if sValue <> "True" Then fs.Add "checked "
			fs.Add " name=""saveToDB"" id=""saveToDBNo"" value=""False""><label for=""saveToDBNo"">No</label></td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>weatherXML Database String</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""100"" name=""wXML3ConnectString"" value="""
			ss.Add "Provider=Microsoft.Jet.OLEDB.4.0;Data Source="
			ss.Add hs.GetAppPath
			ss.Add "\data\weathercom_xml\weatherXML.mdb"
			fs.Add hs.GetINISetting ("dbConnect","wXML3ConnectString",ss.Value,sINI)
			ss.Reset
			fs.Add """></td></tr>"

			strClass = switchClass(strClass)
			hsinivalue = hs.GetINISetting ("Settings","xmlweblocation","",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td rowspan=""2"">XML file second location<br/>Leave blank to not save to a second location</td><td>"
			fs.Add hs.GetAppPath
			fs.Add "\html\<input class=""formtext"" type=""text"" size=""20"" name=""xmlweblocation"" value="""
			fs.Add hsinivalue
			fs.Add """>\weathercom.xml</td></tr><tr class="""
			fs.Add strClass
			fs.Add """><td>"
			fs.Add hs.GetAppPath
			fs.Add "\html\"
			fs.Add hsinivalue
			fs.Add "\forecast.xml</td></tr>"
	
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Zip Code</td><td><input class=""formtext"" type=""text"" size=""5"" maxlength=""5"" name=""zipcode"" value="""
			fs.Add hs.GetINISetting ("Settings","zipcode","",sINI)
			fs.Add """></td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Speaker Client</td><td><input class=""formtext"" type=""text"" size=""60"" name=""spkrClient"" value="""
			fs.Add hs.GetINISetting ("Speak","hosts","",sINI)
			fs.Add """></td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Prepend to all WeatherXML speech</td><td><input class=""formtext"" type=""text"" size=""50"" name=""speakFirst"" value="""
			fs.Add hs.GetINISetting ("Speak","speakFirst","",sINI)
			fs.Add """></td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Run Script after import</td><td><select name=""runScript"">"
			fs.Add "<option value="""">No Script</option>"
			Set objFSO = CreateObject("Scripting.FileSystemObject")
				Set objFolder = objFSO.GetFolder(hs.GetAppPath & "\scripts")
					For Each objFile in objFolder.Files
						fs.Add "<option "
						if trim(hs.GetINISetting ("Settings","runScript","",sINI)) = objFile.Name  Then
							fs.Add "selected "
						End if 
						fs.Add "value="""
						fs.Add objFile.Name 
						fs.Add """>"
						fs.Add objFile.Name 
						fs.Add "</option>"
					Next
				Set objFolder = Nothing
			Set objFSO = Nothing
			fs.Add "</select> Main(optional ByVal sParam as String = """")</td></tr>"

			if bPlugTemp = True Then
				fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">mcsTemperature Plugin Integration</td></tr>"
				
				strClass = switchClass(strClass)
				sValue = hs.GetINISetting ("Settings","runMCSTemp","False",sINI)
				fs.Add "<tr class="""
				fs.Add strClass
				fs.Add """><td>Send Data to mcsTemperature</td><td><input class=""formradio"" type=""radio"" "
				if sValue = "True" Then fs.Add "checked "
				fs.Add "name=""runMCSTemp"" id=""useMCSYes"" value=""True""><label for=""useMCSYes"">Yes</label>"
				fs.Add " <input class=""formradio"" type=""radio"" "
				if sValue <> "True" Then fs.Add "checked "
				fs.Add " name=""runMCSTemp"" id=""useMCSNo"" value=""False""><label for=""useMCSNo"">No</label></td></tr>"
	
				strClass = switchClass(strClass)
				fs.Add "<tr class="""
				fs.Add strClass
				fs.Add """><td>McsTemp Database String</td>"
				fs.Add "<td><input class=""formtext"" type=""text"" size=""100"" name=""connectString"" value="""
				ss.Add "Provider=Microsoft.Jet.OLEDB.4.0;Data Source="
				ss.Add hs.GetAppPath
				ss.Add "\data\mcsTemperature\mcsTemperature.mdb"
				fs.Add hs.GetINISetting ("dbConnect","connectString",ss.Value,sINI)
				ss.Reset
				fs.Add """></td></tr>"
			End if

			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">Measurement Units</td></tr>"

			strClass = switchClass(strClass)
			uTemp = hs.GetINISetting ("InfoUnit","Temperature","F",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Temperature</td><td><input class=""formradio"" type=""radio"" "
			if uTemp <> "C" Then fs.Add "checked "
			fs.Add "name=""unitTemp"" id=""unitTemp1"" value=""F""><label for=""unitTemp1"">F</label> <input class=""formradio"" type=""radio"" "
			if uTemp = "C" Then fs.Add "checked "
			fs.Add " name=""unitTemp"" id=""unitTemp2"" value=""C""><label for=""unitTemp2"">C</label> "
			fs.Add "&nbsp; &nbsp; &nbsp; Speak:<input type=""text"" class=""formtext"" name=""tempSpeak"" size=""10"" value="""
			fs.Add hs.GetINISetting("InfoUnit","TempSpeak","",sINI)
			fs.Add """></td></tr>"

			strClass = switchClass(strClass)
			uTemp = hs.GetINISetting ("InfoUnit","Distance","mi",sINI)
			sDist = hs.GetINISetting("InfoUnit","distanceUnit","m",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Distance</td><td><input class=""formradio"" type=""radio"" "
			if sDist <> "km" Then fs.Add "checked "
			fs.Add "name=""distanceUnit"" id=""distanceUnit1"" value=""m""><label for=""distanceUnit1"">miles</label> <input class=""formradio"" type=""radio"" "
			if sDist = "km" Then fs.Add "checked "
			fs.Add " name=""distanceUnit"" id=""distanceUnit2"" value=""km""><label for=""distanceUnit2"">kilometers</label> "			
			fs.Add "&nbsp; &nbsp; &nbsp; Speak/Display:<input class=""formtext"" name=""unitDistance""  size=""10"" type=""text"" value="""
			fs.Add uTemp
			fs.Add """></td></tr>"

			strClass = switchClass(strClass)
			uTemp = hs.GetINISetting ("InfoUnit","Speed","miles per hour",sINI)
			sSpd = hs.GetINISetting("InfoUnit","SpeedUnit","mph",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Speed</td><td><input class=""formradio"" type=""radio"" "
			if sSpd <> "kmph" Then fs.Add "checked "
			fs.Add "name=""unitSpd"" id=""unitSpd1"" value=""mph""><label for=""unitSpd1"">mph</label> <input class=""formradio"" type=""radio"" "
			if sSpd = "kmph" Then fs.Add "checked "
			fs.Add " name=""unitSpd"" id=""unitSpd2"" value=""kmph""><label for=""unitSpd2"">kmph</label> "			
			fs.Add "&nbsp; &nbsp; &nbsp; Speak/Display:<input class=""formtext"" name=""unitSpeed""  size=""15"" type=""text"" value="""
			fs.Add uTemp
			fs.Add """></td></tr>"

			strClass = switchClass(strClass)
			uTemp = hs.GetINISetting ("InfoUnit","pressureUnit","i",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Pressure</td><td><input class=""formradio"" type=""radio"" "
			if uTemp <> "m" Then fs.Add "checked "
			fs.Add "name=""unitBarometer"" id=""unitBar1"" value=""i""><label for=""unitBar1"">in.</label> <input class=""formradio"" type=""radio"" "
			if uTemp = "m" Then fs.Add "checked "
			fs.Add " name=""unitBarometer"" id=""unitBar2"" value=""m""><label for=""unitBar2"">mm</label> "			
			fs.Add "&nbsp; &nbsp; &nbsp; Speak/Display:<input class=""formtext"" name=""unitPressure""  size=""10"" type=""text"" value="""
			fs.Add hs.GetINISetting ("InfoUnit","pressure","in",sINI)
			fs.Add """></td></tr>"

			strClass = switchClass(strClass)
			uTemp = hs.GetINISetting ("InfoUnit","Rain","in",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Rain (Most users will enter % or percent)</td><td><input class=""formtext"" name=""unitRain""  size=""10"" type=""text"" value="""
			fs.Add uTemp
			fs.Add """></td></tr>"

			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">Web Pages</td></tr>"
			fs.Add "<tr class=""tablecolumn""><td>Webpage</td><td>Title / Access</td></tr>"

			if len(Trim(hs.GetINISetting("webPages","pageSort","",sINI))) > 0 Then
				aSort = split(hs.GetINISetting("webPages","pageSort","",sINI),",")
				nPages = uBound(aSort) +1
			Else
				nPages = hs.GetINISetting("webPages","pageNum","2",sINI)
			End if
			for x = 1 to nPages
				ss.Add "pageLev"
				ss.Add x
				ddName = ss.Value
				pLev = hs.GetINISetting("webPages",ss.Value,"all",sINI)
				ss.Reset
				ss.Add "pageBtn"
				ss.Add	x
				txName = ss.Value
				pBtn = hs.GetINISetting("webPages",ss.Value,"Button",sINI)
				ss.Reset
				ss.Add "pageAlt"
				ss.Add x
				pAlt = hs.GetINISetting("webPages",ss.Value,"all",sINI)
				ss.Reset
				
				strClass = switchClass(strClass)
				fs.Add "<tr class="""
				fs.Add strClass
				fs.Add """><td valign=""top"">"
				fs.Add pAlt
				fs.Add "</td>"
				fs.Add "<td nowrap><input size=""15"" name="""
				fs.ADd txName
				fs.Add """ value="""
				fs.Add pBtn
				fs.Add """ type=""text"">"
				fs.Add "<select name="""
				fs.Add ddName
				fs.Add """>"
				if x > 1 Then
					fs.Add "<option "
					if pLev = "none" Then
						fs.Add "selected "
					End if
					fs.Add "value=""none"">Inactive</option>"
				End if
				fs.Add "<option "
				if pLev = "all" Then
					fs.Add "selected "
				End if
				fs.Add "value=""all"">All</option>"
				fs.Add "<option "
				if pLev = "admin" Then
					fs.Add "selected "
				End if
				fs.Add "value=""admin"">Admin Only</option>"
				fs.Add "</select>"
				fs.Add "</td></tr>"				
			Next

			strClass = switchClass(strClass)
			showMenu = hs.GetINISetting ("Settings","showMenu","0",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Show Weather Links</td><td><input class=""formradio"" type=""radio"" "
			if showMenu = "1" Then fs.Add "checked "
			fs.Add "name=""showMenu"" id=""useLinksyes"" value=""1""><label for=""useLinksyes"">Yes</label> <input class=""formradio"" type=""radio"" "
			if showMenu <> "1" Then fs.Add "checked "
			fs.Add " name=""showMenu"" id=""useLinksno"" value=""0""><label for=""useLinksno"">No</label></td></tr>"

			strClass = switchClass(strClass)
			touchpaddayswide = hs.GetINISetting ("Settings","touchpaddayswide","",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Combined View Days per Row</td><td><select name=""touchpaddayswide"" class=""formdropdown"">"
			for x = 1 to 5
				fs.Add "<option "
				if CStr(touchpaddayswide) = CStr(x) Then
					fs.Add "selected "
				End if
				fs.Add " value="""
				fs.Add x
				fs.Add """>"
				fs.Add x
				if x = 1 Then
					fs.Add " Day"
				Else
					fs.Add " Days"
				End if
				fs.Add "</option>"
			Next
			fs.Add "</select></td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Combined View Maps are</td><td><input class=""formtext"" type=""text"" size=""4"" name=""TouchpadImageWide"" value="""
			fs.Add hs.GetINISetting ("Settings","TouchpadImageWide","",sINI)
			fs.Add """> pixels wide</td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Map URL for Forecast page</td><td><input class=""formtext"" type=""text"" size=""60"" name=""ForecastGraph"" value="""
			fs.Add hs.GetINISetting ("Maps","ForecastGraph","",sINI)
			fs.Add """></td></tr>"
			
			fs.Add "<tr><td class=""tablecolumn"" colspan=""2"">Weather Virtual Devices</td></tr>"

			strClass = switchClass(strClass)
			UseMarquee = hs.GetINISetting ("Settings","UseMarquee","",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Use Forecast Marquee</td><td><input class=""formradio"" type=""radio"" "
			if UseMarquee = "True" Then fs.Add "checked "
			fs.Add "name=""UseMarquee"" id=""usemarqueeyes"" value=""True""><label for=""usemarqueeyes"">Yes</label> <input class=""formradio"" type=""radio"" "
			if UseMarquee <> "True" Then fs.Add "checked "
			fs.Add " name=""UseMarquee"" id=""usemarqueeno"" value=""False""><label for=""usemarqueeno"">No</label></td></tr>"

			strClass = switchClass(strClass)
			UseIcons = hs.GetINISetting ("Settings","UseIcons","",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Use Icons</td><td><input class=""formradio"" type=""radio"" "
			if UseIcons = "True" Then fs.Add "checked "
			fs.Add "name=""UseIcons"" id=""useiconsyes"" value=""True""><label for=""useiconsyes"">Yes</label> <input class=""formradio"" type=""radio"" "
			if UseIcons <> "True" Then fs.Add "checked "
			fs.Add " name=""UseIcons"" id=""useiconsno"" value=""False""><label for=""useiconsno"">No</label></td></tr>"

			strClass = switchClass(strClass)
			useHeadings = hs.GetINISetting ("Settings","useHeadings","0",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Include Headings in String Value</td><td><input class=""formradio"" type=""radio"" "
			if useHeadings = "1" Then fs.Add "checked "
			fs.Add "name=""useHeadings"" id=""useHeadingsyes"" value=""1""><label for=""useHeadingsyes"">Yes</label> <input class=""formradio"" type=""radio"" "
			if useHeadings <> "1" Then fs.Add "checked "
			fs.Add " name=""useHeadings"" id=""useHeadingsno"" value=""0""><label for=""useHeadingsno"">No</label></td></tr>"
	
			strClass = switchClass(strClass)
			useHeadingsStyle = hs.GetINISetting ("Settings","useHeadingsStyle","",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Heading font style</td><td><input class=""formtext"" type=""text"" size=""40"" name=""useHeadingsStyle"" value="""
			fs.Add useHeadingsStyle
			fs.Add """></td></tr>"
			
			' Updated Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Updated Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devUpdated"" value="""
			fs.Add hs.GetINISetting ("Settings","devUpdated","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devUpdatedSpk","0",sINI) = "1" Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devUpdatedSpk"" id=""updated"" value=""1""><label for=""updated"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""updated"" value="""
			fs.Add hs.GetINISetting("Language","updated","Updated",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"
			
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Update Location</td><td>"
			fs.Add "<input class=""formtext"" type=""text"" size=""20"" name=""updlocation"" value="""
			fs.Add hs.GetINISetting ("Settings","updlocation","",sINI)
			fs.Add """> (for Display Only)</td></tr>"

			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Current Condition Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devCondition"" value="""
			fs.Add hs.GetINISetting ("Settings","devCondition","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devConditionSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devConditionSpk"" id=""condition"" value=""1""><label for=""condition"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""currentCondition"" value="""
			fs.Add hs.GetINISetting("Language","currentCondition","Current Condition",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			strClass = switchClass(strClass)
			imagesize = hs.GetINISetting ("Settings","imagesize","",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Current Condition Image Size</td><td><select name=""imagesize"" class=""formdropdown"">"
			fs.Add "<option "
			if imagesize = "32" Then
				fs.Add "selected "
			End if
			fs.Add "value=""32"">32</option>"
			fs.Add "<option "
			if imagesize = "64" Then
				fs.Add "selected "
			End if
			fs.Add "value=""64"">64</option>"
			fs.Add "<option "
			if imagesize = "96" Then
				fs.Add "selected "
			End if
			fs.Add "value=""96"">96</option>"
			fs.Add "<option "
			if imagesize = "128" Then
				fs.Add "selected "
			End if
			fs.Add "value=""128"">128</option>"
			fs.Add "</select>"
			fs.Add "</td></tr>"
			
			' Temperature Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Current Temperature Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devTemp"" value="""
			fs.Add hs.GetINISetting ("Settings","devTemp","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devTempSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devTempSpk"" id=""temp"" value=""1""><label for=""temp"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""currentTemperature"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","currentTemperature","Current Temperature",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Feels Like Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Current Temperature Feels Like Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devFeelsLike"" value="""
			fs.Add hs.GetINISetting ("Settings","devFeelsLike","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devFeelsLikeSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devFeelsLikeSpk"" id=""feelslike"" value=""1""><label for=""feelslike"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""currentFeelsLike"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","currentFeelsLike","Current Temperature Feels Like",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"
			
			' Todays Hi Temperature Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Todays High Temperature</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devHiTemp"" value="""
			fs.Add hs.GetINISetting ("Settings","devHiTemp","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devHiTempSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devHiTempSpk"" id=""dailyhitemp"" value=""1""><label for=""dailyhitemp"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""temperatureHigh"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","temperatureHigh","Todays High Temperature",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"
			
			' Todays Low Temperature Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Todays Low Temperature</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devLowTemp"" value="""
			fs.Add hs.GetINISetting ("Settings","devLowTemp","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devLowTempSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devLowTempSpk"" id=""dailylowtemp"" value=""1""><label for=""dailylowtemp"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""temperatureLow"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","temperatureLow","Todays Low Temperature",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"
			
			' Todays Normal High
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Todays Normal High</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devTempHistory"" value="""
			fs.Add hs.GetINISetting ("Settings","devTempHistory","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devTempHistorySpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devTempHistorySpk"" id=""devTempHistorySpk"" value=""1""><label for=""devTempHistorySpk"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""devTempHistoryLbl"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","devTempHistoryLbl","Todays Normal High",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Todays Normal Low
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Todays Normal Low</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devTempHistoryLow"" value="""
			fs.Add hs.GetINISetting ("Settings","devTempHistoryLow","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devTempHistoryLowSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devTempHistoryLowSpk"" id=""devTempHistoryLowSpk"" value=""1""><label for=""devTempHistoryLowSpk"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""devTempHistoryLowLbl"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","devTempHistoryLowLbl","Todays Normal Low",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Today Record High Temp/Year
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Todays Record High</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devTempRecordHigh"" value="""
			fs.Add hs.GetINISetting ("Settings","devTempRecordHigh","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devTempRecordHighSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devTempRecordHighSpk"" id=""devTempRecordHighSpk"" value=""1""><label for=""devTempRecordHighSpk"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""devTempRecordHighLbl"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","devTempRecordHighLbl","Todays Record High",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Today Record Low Temp/Year
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Todays Record Low</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devTempRecordLow"" value="""
			fs.Add hs.GetINISetting ("Settings","devTempRecordLow","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devTempRecordLowSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devTempRecordLowSpk"" id=""devTempRecordLowSpk"" value=""1""><label for=""devTempRecordLowSpk"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""devTempRecordLowLbl"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","devTempRecordLowLbl","Todays Record Low",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Last Years High
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Today Last Years High</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devTempLastYearHigh"" value="""
			fs.Add hs.GetINISetting ("Settings","devTempLastYearHigh","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devTempLastYearHighSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devTempLastYearHighSpk"" id=""devTempLastYearHighSpk"" value=""1""><label for=""devTempLastYearHighSpk"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""devTempLastYearHighLbl"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","devTempLastYearHighLbl","Today Last Years High",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Last Years Low
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Today Last Years Low</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devTempLastYearLow"" value="""
			fs.Add hs.GetINISetting ("Settings","devTempLastYearLow","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devTempLastYearLowSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devTempLastYearLowSpk"" id=""devTempLastYearLowSpk"" value=""1""><label for=""devTempLastYearLowSpk"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""devTempLastYearLowLbl"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","devTempLastYearLowLbl","Today Last Years Low",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Humidity Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Relative Humidity Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devHumidity"" value="""
			fs.Add hs.GetINISetting ("Settings","devHumidity","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devHumiditySpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devHumiditySpk"" id=""humidity"" value=""1""><label for=""humidity"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""humidity"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","humidity","Relative Humidity",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"
			
			' Wind Speed Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Wind Speed Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devWind"" value="""
			fs.Add hs.GetINISetting ("Settings","devWind","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devWindSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devWindSpk"" id=""wind"" value=""1""><label for=""wind"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""windSpeed"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","windSpeed","Wind Speed",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"
			
			' Wind Direction Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Wind Direction Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devWindDir"" value="""
			fs.Add hs.GetINISetting ("Settings","devWindDir","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devWindDirSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devWindDirSpk"" id=""winddir"" value=""1""><label for=""winddir"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""windDirection"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","windDirection","Wind Direction",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Wind Gust Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Wind Gust Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devWindGust"" value="""
			fs.Add hs.GetINISetting ("Settings","devWindGust","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devWindGustSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devWindGustSpk"" id=""windgust"" value=""1""><label for=""windgust"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""windGust"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","windGust","Wind Gust",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Wind Degrees Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Wind Degrees Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devWindDegrees"" value="""
			fs.Add hs.GetINISetting ("Settings","devWindDegrees","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devWindDegreesSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devWindDegreesSpk"" id=""winddegrees"" value=""1""><label for=""winddegrees"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""windDegrees"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","windDegrees","Wind Degrees",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Visibility Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Visibility Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devVisibility"" value="""
			fs.Add hs.GetINISetting ("Settings","devVisibility","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devVisibilitySpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devVisibilitySpk"" id=""visibility"" value=""1""><label for=""visibility"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""visibility"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","visibility","Visibility",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Dewpoint Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Dewpoint Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devDewpoint"" value="""
			fs.Add hs.GetINISetting ("Settings","devDewpoint","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devDewpointSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devDewpointSpk"" id=""dewpoint"" value=""1""><label for=""dewpoint"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""dewpoint"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","dewpoint","Dewpoint",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Dewpoint Map Device uses this map
			strClass = switchClass(strClass)
			dewpointImage = hs.GetINISetting ("Settings","dewpointImage","",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Dewpoint Map Device Uses Map</td><td><select class=""formdropdown"" name=""dewpointImage"">"
			fs.Add "<option value=""0"">No Map</option>"
			for x = 1 To intImages
				fs.Add "<option "
				if CStr(dewpointImage) = CStr(x) Then
					fs.Add "selected "
				End if
				fs.Add " value="""
				fs.Add x
				fs.Add """>Map Number "
				fs.Add x
				fs.Add "</option>"
			Next
			fs.Add "</select></td></tr>"
			
			' Barometer Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Barometer Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devBarometer"" value="""
			fs.Add hs.GetINISetting ("Settings","devBarometer","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devBarometerSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devBarometerSpk"" id=""barometer"" value=""1""><label for=""barometer"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""barometer"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","barometer","Barometer",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Barometer Direction Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Barometer Direction Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devBarometerDir"" value="""
			fs.Add hs.GetINISetting ("Settings","devBarometerDir","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devBarometerDirSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devBarometerDirSpk"" id=""barometerdir"" value=""1""><label for=""barometerdir"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""barometerDirection"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","barometerDirection","Barometer Direction",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Moon Phase Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Moon Phase Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devMoonPhase"" value="""
			fs.Add hs.GetINISetting ("Settings","devMoonPhase","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devMoonPhaseSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devMoonPhaseSpk"" id=""idmoonphase"" value=""1""><label for=""idmoonphase"">Speak</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""devMoonPhaseLbl"" size=""30"" value="""
			fs.Add hs.GetINISetting("Language","devMoonPhaseLbl","Moon Phase",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"		
			
			'WeatherXML Last Spoke Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Last Spoken Text</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""lastSpoken"" value="""
			fs.Add hs.GetINISetting ("Settings","lastSpoken","",sINI)
			fs.Add """></td></tr>"
			
			' Alert Map device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Alert Map</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devMap1"" value="""
			fs.Add hs.GetINISetting ("Settings","devMap1","",sINI)
			fs.Add """></td></tr>"

			' Alert Map device uses this map
			strClass = switchClass(strClass)
			TouchpadImage = hs.GetINISetting ("Settings","TouchpadImage","",sINI)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Alert Map Device Uses Map</td><td><select class=""formdropdown"" name=""TouchpadImage"">"
			fs.Add "<option value=""0"">No Map</option>"
			for x = 1 To intImages
				fs.Add "<option "
				if CStr(TouchpadImage) = CStr(x) Then
					fs.Add "selected "
				End if
				fs.Add " value="""
				fs.Add x
				fs.Add """>Map Number "
				fs.Add x
				fs.Add "</option>"
			Next
			fs.Add "</select></td></tr>"
			
			' Radar Map device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Radar Map</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devMap2"" value="""
			fs.Add hs.GetINISetting ("Settings","devMap2","",sINI)
			fs.Add """></td></tr>"

			' Radar Map device uses this map
			TouchpadImage = hs.GetINISetting ("Settings","TouchpadImage2","",sINI)
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Radar Map Device Uses Map</td><td><select class=""formdropdown"" name=""TouchpadImage2"">"
			fs.Add "<option value=""0"">No Map</option>"
			for x = 1 To intImages
				fs.Add "<option "
				if CStr(TouchpadImage) = CStr(x) Then
					fs.Add "selected "
				End if
				fs.Add " value="""
				fs.Add x
				fs.Add """>Map Number "
				fs.Add x
				fs.Add "</option>"
			Next
			fs.Add "</select></td></tr>"

			' Forecast			
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Forecast Device Code</td><td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""devForecast"" value="""
			fs.Add hs.GetINISetting ("Settings","devForecast","",sINI)
			fs.Add """><input "
			if hs.GetINISetting ("Settings","devForecastSpk","0",sINI) = 1 Then
				fs.Add "checked "
			End if
			fs.Add "type=""Checkbox"" name=""devForecastSpk"" id=""forecast"" value=""1""><label for=""forecast"">Speak forecast</label>"
			fs.Add "&nbsp; &nbsp; &nbsp;<input type=""text"" class=""formtext"" name=""forecast"" value="""
			fs.Add hs.GetINISetting("Language","forecast","Forecast",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"

			' Speak and Scroll Forecast Days
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Forecast Days Ahead</td><td><select class=""formdropdown"" name=""devForecastdays"">"
			devForecastdays = hs.GetINISetting ("Settings","devForecastdays","",sINI)
			for x = 1 to 7
				fs.Add "<option "
				if CStr(x) = devForecastdays Then
					fs.Add "selected "
				End if
				fs.Add "value="""
				fs.Add x
				fs.Add """>"
				fs.Add x
				fs.Add " Day"
				if x > 1 Then
					fs.Add "s"
				End if
				fs.Add "</option>"
			Next
			fs.Add "</select></td></tr>"

			' Todays Forecast Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Today's Forecast</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""forecastToday"" value="""
			fs.Add hs.GetINISetting ("Settings","forecastToday","",sINI)
			fs.Add """>"
			fs.Add "</td></tr>"
			
			' Tonight Forecast Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Tonight's Forecast</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""forecastTonight"" value="""
			fs.Add hs.GetINISetting ("Settings","forecastTonight","",sINI)
			fs.Add """></td></tr>"

			' Tomorrow Forecast Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Tomorrow's Forecast</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""forecastTomorrow"" value="""
			fs.Add hs.GetINISetting ("Settings","forecastTomorrow","",sINI)
			fs.Add """></td></tr>"

			' Tomorrow Nights Forecast Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Tomorrow Night's Forecast</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""forecastTomorrowNight"" value="""
			fs.Add hs.GetINISetting ("Settings","forecastTomorrowNight","",sINI)
			fs.Add """></td></tr>"

			' 2nd Day Forecast Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Forecast 2 days from now</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""forecast2Day"" value="""
			fs.Add hs.GetINISetting ("Settings","forecast2Day","",sINI)
			fs.Add """></td></tr>"

			' 3rd Day Forecast Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Forecast 3 days from now</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""forecast3Day"" value="""
			fs.Add hs.GetINISetting ("Settings","forecast3Day","",sINI)
			fs.Add """></td></tr>"
			
			' 4th Day Forecast Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Forecast 4 days from now</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""forecast4Day"" value="""
			fs.Add hs.GetINISetting ("Settings","forecast4Day","",sINI)
			fs.Add """></td></tr>"
			
			' 5th Day Forecast Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Forecast 5 days from now</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""forecast5Day"" value="""
			fs.Add hs.GetINISetting ("Settings","forecast5Day","",sINI)
			fs.Add """></td></tr>"
			
			' 6th Day Forecast Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Forecast 6 days from now</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""forecast6Day"" value="""
			fs.Add hs.GetINISetting ("Settings","forecast6Day","",sINI)
			fs.Add """></td></tr>"
			
			' 7th Day Forecast Device
			strClass = switchClass(strClass)
			fs.Add "<tr class="""
			fs.Add strClass
			fs.Add """><td>Forecast 7 days from now</td>"
			fs.Add "<td><input class=""formtext"" type=""text"" size=""2"" maxlength=""3"" name=""forecast7Day"" value="""
			fs.Add hs.GetINISetting ("Settings","forecast7Day","",sINI)
			fs.Add """></td></tr>"

			fs.Add "<tr><td colspan=""2"" align=""center""><input type=""Submit"" class=""formbutton"" name=""SaveWeatherSetup"" value=""Save""></td></tr>"
			
			if hs.GetINISetting("settings","xmlSource","noaa",sINI) = "wwo" Then
				fs.Add "<tr><td colspan=""2"" class=""tablecolumn"">WWO Conditions</td></tr>"
				fs.Add "<tr class=""tablecolumn""><td>Condition</td><td>Display As</td></tr>"
				sSection = hs.GetINISection("Language Conditions",sINI)
				aSection = split(sSection,chr(0))
				for x = 0 to UBound(aSection)
					aKey = split(aSection(x),"=")
					sKey = aKey(0)
					sValue = aKey(1)
					strClass = switchClass(strClass)
					fs.Add "<tr class="""
					fs.Add strClass
					fs.Add """><td>"
					fs.Add sKey
					fs.Add "</td>"
					fs.Add "<td><input class=""formtext"" type=""text"" size=""50"" name="""
					fs.Add replace(sKey," ","_")
					fs.Add """ value="""
					fs.Add hs.GetINISetting ("Language Conditions",sKey,"",sINI)
					fs.Add """></td></tr>"
				Next
			End if		
			
			fs.Add "<tr><td colspan=""2"" class=""tablecolumn"">Maps Page Setup</td></tr>"
			for x = 1 to intImages
				strClass = switchClass(strClass)
				strURL = hs.GetINISetting ("Maps","image" & x,"",sINI)
				strCaption = hs.GetINISetting ("Maps","image" & x & "caption","",sINI)
				strLegend = hs.GetINISetting ("Maps","image" & x & "legend","",sINI)
				fs.Add "<tr class="""
				fs.Add strClass
				fs.Add """><td>Map "
				fs.Add x
				fs.Add " Caption</td><td><input class=""formtext"" type=""text"" size=""75"" name=""image"
				fs.Add x
				fs.Add "caption"" value="""
				fs.Add strCaption
				fs.Add """></td></tr>"
				fs.Add "<tr class="""
				fs.Add strClass
				fs.Add """><td>Map "
				fs.Add x
				fs.Add " URL</td><td><input class=""formtext"" type=""text"" size=""75"" name=""image"
				fs.Add x
				fs.Add """ value="""
				fs.Add strURL
				fs.Add """></td></tr>"
				fs.Add "<tr class="""
				fs.Add strClass
				fs.Add """><td>Map "
				fs.Add x
				fs.Add " Legend</td><td><input class=""formtext"" type=""text"" size=""75"" name=""image"
				fs.Add x
				fs.Add "legend"" value="""
				fs.Add strLegend
				fs.Add """></td></tr>"
			Next
			fs.Add "<tr><td colspan=""2"" align=""center""><input type=""Submit"" class=""formbutton"" name=""SaveWeatherSetup"" value=""Save""></td></tr>"
			fs.Add "<input type=""hidden"" name=""mapNumber"" value="""
			fs.Add intImages
			fs.Add """><input type=""hidden"" name=""refpage"" value=""weathercomxml""></form></table>"

			weathercomsetup = fs.Value
		Set ss = Nothing
		Set fs = Nothing
	End function
	
	Response.Write  hs.GetPageHeader("Weather XML Setup","","",False,False,False,False,False) 
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","weatherPageLinks",hs.WEBLoggedInUser,True)
	sLev = hs.RunEx("AZ_weatherXML_web.vb","checkPageAccess","weathercom_xmlsetup.asp",true)
	if sLev = "none" Then
		Response.Write hs.RunEx("AZ_weatherXML_web.vb","pageNotActive","",true)
	Elseif sLev = "all" OR (sLev = "admin" AND hs.RunEx("AZ_weatherXML_web.vb","userPermissions",hs.WebLoggedInUser, true) = 1) Then 
		Response.Write weathercomsetup()
	Else
		Response.Write hs.RunEx("AZ_weatherXML_web.vb","pageNoAccess","",true)
	End if
	Response.Write "<br />"
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","weatherPageLinks",hs.WEBLoggedInUser,True)
	Response.Write hs.GetPageFooter(false) 
%>
