<%
	Option Explicit
	Dim sLev, sHeader
	function weathermaps(sHeading)
		Dim sINI, fs, intImages, strURL, strCaption, x
		sINI = "weathercom_xml.ini"
		Set fs = hs.CreateStringClass
			fs.Add "<table><tr><td class=""tableheader"">"
			fs.Add sHeading
			fs.Add "</td></tr>"
			intImages = hs.GetINISetting ("Settings","mapNumber",10,sINI)
			for x = 1 to intImages 
				strURL = hs.GetINISetting("Maps","image" & x,"",sINI) 
				if strURL <> "" Then
					strCaption = hs.GetINISetting("Maps","image" & x & "caption","",sINI) 
					fs.Add "<tr><td class=""tablecolumn"">"
					fs.Add strCaption
					fs.Add "</td></tr>"
					fs.Add "<tr><td align=""center""><img src="""
					fs.Add strURL
					fs.Add """>"
					strURL = hs.GetINISetting("Maps","image" & x & "legend","",sINI)
					if strURL <> "" Then
						fs.Add "<br><img src="""
						fs.Add strURL
						fs.Add """ alt="""
						fs.Add strCaption
						fs.Add " Legend"">"
					End if
					fs.Add "</td></tr>"
				End if
			Next
			fs.Add "</table>"
			weathermaps = fs.Value
		Set fs = Nothing
	End function
	sHeader = hs.RunEx("AZ_weatherXML_web.vb","webPageHeader","weathermaps.asp",true)
	Response.Write  hs.GetPageHeader(sHeader,"","",False,False,False,False,False)
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","weatherPageLinks",hs.WEBLoggedInUser,True)
	sLev = hs.RunEx("AZ_weatherXML_web.vb","checkPageAccess","weathermaps.asp",true)
	if sLev = "none" Then
		Response.Write hs.RunEx("AZ_weatherXML_web.vb","pageNotActive","",true)
	Elseif sLev = "all" OR (sLev = "admin" AND hs.RunEx("AZ_weatherXML_web.vb","userPermissions",hs.WebLoggedInUser, true) = 1) Then 
		Response.Write weathermaps(sHeader)
	Else
		Response.Write hs.RunEx("AZ_weatherXML_web.vb","pageNoAccess","",true)
	End if
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","weatherPageLinks",hs.WEBLoggedInUser,True)
	Response.Write hs.GetPageFooter(false) 
%>
