<% 
	Option Explicit
	Dim sLev, sHeader
	function weatherpad(sHeading)
		Dim fs, y, x, intHigh, intLow, intImageWide, imageDirectory, intImageNumber, intImageURL, intImageCap
		Dim intImageNumber2, intImageURL2, intImageCap2, intDaysWide
		Dim sINI, intCurTemp, intFeelsLike, intCondition, strCondIcont, unitTemp, strUVIndex, strUVCond, unitPressure
		Dim WindDir, WindSpeed, unitSpeed, WindGust, strCondIcon, visibility, unitDistance, barometer, bardir
		sINI = "weathercom_xml.ini"
		unitTemp = hs.GetINISetting ("InfoUnit","Temperature","",sINI)
		unitSpeed = hs.GetINISetting ("InfoUnit","Speed","",sINI)
		unitPressure = hs.GetINISetting("InfoUnit","Pressure","",sINI)
		unitDistance = hs.GetINISetting ("InfoUnit","Distance","",sINI)
		Set fs = hs.CreateStringClass
			intCurTemp = hs.GetINISetting ("WeatherInfo","CurrentTemp","",sINI)
			intFeelsLike = hs.GetINISetting ("WeatherInfo","FeelsLike","",sINI)
			intCondition = hs.GetINISetting ("WeatherInfo","Condition","",sINI)
			strCondIcon = hs.GetINISetting ("WeatherInfo","ConditionIconName","",sINI)
			strUVIndex = hs.GetINISetting ("WeatherInfo","UVIndex","",sINI)
			strUVCond = hs.GetINISetting ("WeatherInfo","UVCondition","",sINI)
			WindDir = hs.GetINISetting ("WeatherInfo","WindDirection","",sINI)
			Windspeed = hs.GetINISetting ("WeatherInfo","WindSpeed","",sINI)
			Windgust = hs.GetINISetting ("WeatherInfo","Windgust","",sINI)
			visibility = hs.GetINISetting ("WeatherInfo","Visibility","",sINI)
			barometer=hs.GetINISetting ("WeatherInfo","Barometer","",sINI)
	
			fs.Add "<table border=""0"" cellpadding=""0"" cellspacing=""0"">"
			fs.Add "<tr><td colspan=""2"" class=""tableheader"">"
			fs.Add sHeading
			fs.Add "</td></tr>"
			fs.Add "<tr class=""tablecolumn""><td>Kaarten</td><td>Vandaag & vooruitzichten</td></tr>"
			fs.Add "<tr valign=""top""><td>"
			intImageWide = hs.GetINISetting ("Settings","TouchpadImageWide","350",sINI)
			intImageNumber = hs.GetINISetting ("Settings","TouchpadImage","1",sINI)
			intImageURL = hs.GetINISetting ("Maps","image" & intImageNumber,"",sINI)
			intImageCap = hs.GetINISetting ("Maps","image" & intImageNumber & "caption","",sINI)
			imageDirectory = hs.GetINISetting ("Settings","imageSize","64",sINI)
			if intImageCap <> "" Then
				fs.Add "<span style=""font-weight: 900;"">"
				fs.Add intImageCap
				fs.Add "</span><br>"
			End if
			if intImageURL <> "" Then
				fs.Add "<img src="""
				fs.Add intImageURL
				fs.Add """ "
				if IsNumeric(intImageWide) Then
					fs.Add "width="""
					fs.Add intImageWide
					fs.Add """ "
				End if
				fs.Add ">"
			End if
			fs.Add "<br/>"
			intImageNumber2 = hs.GetINISetting ("Settings","TouchpadImage2","2",sINI)
			intImageURL2 = hs.GetINISetting ("Maps","image" & intImageNumber2,"",sINI)
			intImageCap2 = hs.GetINISetting ("Maps","image" & intImageNumber2 & "caption","",sINI)
			if intImageCap2 <> "" Then
				fs.Add "<span style=""font-weight: 900;"">"
				fs.Add intImageCap2
				fs.Add "</span><br>"
			End if
			if intImageURL2 <> "" Then
				fs.Add "<img src="""
				fs.Add intImageURL2
				fs.Add """ "
				if IsNumeric(intImageWide) Then
					fs.Add "width="""
					fs.Add intImageWide
					fs.Add """ "
				End if
				fs.Add ">"
			End if
			fs.Add "</td>"
			fs.Add "<td>"
			fs.Add "<table border=""0"" width=""100%"">"
			fs.Add "<tr><td colspan=""4"">"
			if hs.GetINISetting ("Settings","devConditionDisp","",sINI) = "1" Then
				fs.Add "<span style=""font-weight: 900;"">"
				fs.Add hs.GetINISetting("Language","currentCondition","Current Condition",sINI)
				fs.Add "</span> "
				fs.Add hs.GetINISetting ("Location","CityState","",sINI)
				fs.Add "<br>"
				fs.Add "<img style=""height:"
				fs.Add imageDirectory
				fs.Add "px;""src=""/Images/weathericons/condition/"
				fs.Add strCondIcon
				fs.Add """ align=""left"">"
			End if
			if hs.GetINISetting ("Settings","devTempDisp","",sINI) = "1" AND len(Trim(intCurTemp)) > 0 Then
				fs.Add "<span style=""font-weight: 900;"">"
				fs.Add hs.GetINISetting("Language","currentTemperature","Current Temperature",sINI)
				fs.Add "</span> "
				fs.Add intCurTemp
				fs.Add "&deg; "
				fs.Add unitTemp
				fs.Add "<br>"
			End if
			if hs.GetINISetting ("Settings","devFeelsLikeDisp","",sINI) = "1" AND len(trim(intFeelsLike)) > 0 Then
				fs.Add "<span style=""font-weight: 900;"">"
				fs.Add hs.GetINISetting("Language","currentFeelsLike","Current Temperature Feels Like",sINI)
				fs.Add "</span> "
				fs.Add intFeelsLike
				fs.Add "&deg; "
				fs.Add unitTemp
				fs.Add "<br>"
			End if
			if hs.GetINISetting ("Settings","devHumidityDisp","",sINI) = "1" AND len(trim(hs.GetINISetting ("WeatherInfo","Humidity","",sINI))) > 0 Then
				fs.Add"<span style=""font-weight: 900;"">"
				fs.Add hs.GetINISetting("Language","humidity","Relative Humidity",sINI)
				fs.Add "</span> "
				fs.Add hs.GetINISetting ("WeatherInfo","Humidity","",sINI)
				fs.Add "%<br>"
			End if
			if hs.GetINISetting ("Settings","devDewpointDisp","",sINI) = "1" AND len(trim(hs.GetINISetting ("WeatherInfo","Dewpoint","",sINI))) > 0 Then
				fs.Add "<span style=""font-weight: 900;"">"
				fs.Add hs.GetINISetting("Language","dewpoint","Dewpoint",sINI)
				fs.Add "</span> "
				fs.Add hs.GetINISetting ("WeatherInfo","Dewpoint","",sINI)
				fs.Add "&deg; "
				fs.Add unitTemp
				fs.Add "<br>"
			End if
			if hs.GetINISetting ("Settings","devWindDisp","",sINI) = "1" AND len(trim(Windspeed)) > 0 Then
				fs.Add "<span style=""font-weight: 900;"">"
				fs.Add hs.GetINISetting("Language","windSpeed","Wind Speed",sINI)
				fs.Add "</span> "
				if len(trim(WindDir)) > 0 Then
					fs.Add hs.RunEx("AZ_weathercom_xml.vb","directionText",WindDir,True)
				End if
				if IsNumeric(Windspeed) Then
					fs.Add " at "
					fs.Add Windspeed
					fs.Add " "
					fs.Add unitSpeed
				End if
				fs.Add "<br>"
			End if
			if hs.GetINISetting ("Settings","devVisibilityDisp","",sINI) = "1" AND len(trim(visibility)) > 0 Then
				fs.Add "<span style=""font-weight: 900;"">"
				fs.Add hs.GetINISetting("Language","visibility","Visibility",sINI)
				fs.Add "</span> "
				fs.Add visibility
				if IsNumeric(visibility) Then
					fs.Add " "
					fs.Add unitDistance
				End if
				fs.Add "<br>"
			End if
			if hs.GetINISetting ("Settings","devBarometerDisp","",sINI) = "1" AND len(trim(barometer)) > 0 Then
				fs.Add "<span style=""font-weight: 900;"">"
				fs.Add hs.GetINISetting("Language","barometer","Barometer",sINI)
				fs.Add "</span> "
				bardir = hs.GetINISetting ("WeatherInfo","BarometerDir","",sINI)
				fs.Add barometer
				fs.Add " "
				fs.Add unitPressure
				if len(trim(bardir)) > 0 Then
					fs.Add " and "
					fs.Add bardir
				End if
				fs.Add "<br>"
			End if
			if hs.GetINISetting ("Settings","devUpdatedDisp","",sINI) = "1" AND len(trim(hs.GetINISetting ("Location","TimeChecked","",sINI))) > 0 Then
				fs.Add "<span style=""font-weight: 900;"">"
				fs.Add hs.GetINISetting("Language","updated","Updated",sINI)
				fs.Add ": "
				fs.Add "</span> "
				fs.Add hs.GetINISetting ("Location","TimeChecked","",sINI)
				fs.Add "<br><span style=""font-weight: 900;"">HomeSeer "
				fs.Add hs.GetINISetting("Language","updated","Updated",sINI)
				fs.Add ": </span> "
				fs.Add hs.GetINISetting ("WeatherInfo","LastUpdate","",sINI)
			End if	
			fs.Add "<br/><br/></td></tr>"
			intDaysWide = hs.GetINISetting ("Settings","touchpaddayswide",3,sINI)
			y = 1
			for x = 1 to 10
				if len(trim(hs.GetINISetting ("Forecast","DayName" & x,"",sINI))) > 0 Then
					if y =1 Then
						fs.Add "<tr valign=""top"">"
					End if
					fs.Add "<td>"
					if x = 1 Then
						if Hour(Now) > 14 Then
							if len(trim(hs.GetINISetting ("Forecast","NightIconName" & x,"",sINI))) > 0 Then
								fs.Add "<img align=""left"" src=""/Images/weathericons/condition/"
								fs.Add hs.GetINISetting ("Forecast","NightIconName" & x,"",sINI)
								fs.Add """>"
							End if
						Else
							if len(trim(hs.GetINISetting ("Forecast","DayIconName" & x,"",sINI))) > 0 Then
								fs.Add "<img align=""left"" src=""/Images/weathericons/condition/"
								fs.Add hs.GetINISetting ("Forecast","DayIconName" & x,"",sINI)
								fs.Add """>"
							End if
						End if
					Else
						if len(trim(hs.GetINISetting ("Forecast","DayIconName" & x,"",sINI))) > 0 Then
							fs.Add "<img align=""left"" src=""/Images/weathericons/condition/"
							fs.Add hs.GetINISetting ("Forecast","DayIconName" & x,"",sINI)
							fs.Add """>"
						End if
					End if
					fs.Add	"</td><td>"
					fs.Add "<span style=""font-weight: 900;"">"
					fs.Add hs.GetINISetting ("Forecast","DayName" & x,"",sINI)
					fs.Add "</span> "
					fs.Add hs.GetINISetting ("Forecast","DayDate" & x,"",sINI)
					if len(trim(hs.GetINISetting ("Forecast","DayCondition" & x,"",sINI))) > 0 Then
						fs.Add "<br>"
						'fs.Add hs.GetINISetting ("Forecast","DayCondition" & x,"",sINI)
						dim dayCond
						dayCond = hs.GetINISetting ("Forecast","DayCondition" & x,"",sINI)
						fs.Add(lcase(hs.GetINISetting("Language Conditions",dayCond,dayCond,sINI)))
						
					End if
					intHigh = hs.GetINISetting ("Forecast","DayHi" & x,"",sINI)
					if intHigh <> "N/A" AND len(trim(intHigh)) > 0 Then
						fs.Add "<br><span style=""font-weight: 900;"">Hoogste dag temp:</span> "
						fs.Add intHigh
						fs.Add "&deg; "
						fs.Add unitTemp
					End if
					intLow = hs.GetINISetting ("Forecast","DayLow" & x,"",sINI)
					if intLow <> "N/A" AND len(trim(intLow)) > 0 Then
						fs.Add "<br><span style=""font-weight: 900;"">Laagste nacht temp:</span> "
						fs.Add intLow
						fs.Add "&deg; "
						fs.Add unitTemp
					End if
					if x = 1 Then
						if len(trim(hs.GetINISetting ("Forecast","NightPrecipitation" & x,"",sINI))) > 0 Then
							fs.Add "<br><span style=""font-weight: 900;"">Neerslag snachts</span> "
							fs.Add hs.GetINISetting ("Forecast","NightPrecipitation" & x,"0",sINI)
							fs.Add " "
							fs.Add hs.GetINISetting("InfoUnit","rain","%",sINI) 
						End if
					Else
						if len(trim(hs.GetINISetting ("Forecast","DayPrecipitation" & x,"",sINI))) > 0 Then
							fs.Add "<br><span style=""font-weight: 900;"">Neerslag kans</span> "
							fs.Add hs.GetINISetting ("Forecast","DayPrecipitation" & x,"0",sINI)
							fs.Add " "
							fs.Add hs.GetINISetting("InfoUnit","rain","%",sINI) 
						End if
						if len(trim(hs.GetINISetting ("Forecast","NightPrecipitation" & x,"",sINI))) > 0 Then
							fs.Add "<br><span style=""font-weight: 900;"">Neerslag snachts</span> "
							fs.Add hs.GetINISetting ("Forecast","NightPrecipitation" & x,"0",sINI)
							fs.Add " "
							fs.Add hs.GetINISetting("InfoUnit","rain","%",sINI) 
						End if
					End if
					fs.Add "<br/><br/></td>"
					if CStr(y) = intDaysWide Then
						fs.Add "</tr>"
						y = 0
					End if
					y = y + 1
				End if
			Next
			fs.Add "</table>"
			fs.Add "</td></tr>"
			fs.Add "</table>"
		weatherpad = fs.Value
		Set fs = Nothing
	End function
	sHeader = hs.RunEx("AZ_weatherXML_web.vb","webPageHeader","weatherpad.asp",true)
	Response.Write  hs.GetPageHeader(sHeader,"","",False,False,False,False,False)
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","weatherPageLinks",hs.WEBLoggedInUser,True)
	sLev = hs.RunEx("AZ_weatherXML_web.vb","checkPageAccess","weatherpad.asp",true)
	if sLev = "none" Then
		Response.Write hs.RunEx("AZ_weatherXML_web.vb","pageNotActive","",true)
	Elseif sLev = "all" OR (sLev = "admin" AND hs.RunEx("AZ_weatherXML_web.vb","userPermissions",hs.WebLoggedInUser, true) = 1) Then 
		Response.Write weatherpad(sHeader)
	Else
		Response.Write hs.RunEx("AZ_weatherXML_web.vb","pageNoAccess","",true)
	End if
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","providerLinks","",True)
	Response.Write "<br/>"
	Response.Write hs.RunEx("AZ_weatherXML_web.vb","weatherPageLinks",hs.WEBLoggedInUser,True)
	Response.Write hs.GetPageFooter(false) 
%>
